from math import pi

allTilingDicts = {}

#**************1-Uniform regular ********************#

#Completed
tilingDict1 = {}

#Triangle
pairings = {
    (0,0):(0,3), (0,1):(0,4), (0,2):(0,5), (0,3):(0,0), (0,4):(0,1), (0,5):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict1['3^6'] = [pairings, allAngleLists]

#Hexagon
pairings = {
    (0,0):(0,0), (0,1):(0,1), (0,2):(0,2)
}
allAngleLists = [
    [0, 2*pi/3, 4*pi/3]
]
tilingDict1['6^3'] = [pairings, allAngleLists]

#Square
pairings = {
    (0,0):(0,2), (0,1):(0,3), (0,2):(0,0), (0,3):(0,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2]
]
tilingDict1['4^4'] = [pairings, allAngleLists]

#**************1-Uniform semiregular ********************#

#3.12^2 .
pairings = {
    (0,0):(0,1), (0,1):(0,0), (0,2):(0,2)
}
allAngleLists = [
    [0, pi/3, 7*pi/6]
]
tilingDict1['3.12^2'] = [pairings, allAngleLists]

#3.4.6.4 .
pairings = {
    (0,0):(0,3), (0,1):(0,2), (0,2):(0,1), (0,3):(0,0)
}
allAngleLists = [
    [0, pi/2, 5*pi/6, 4*pi/3]
]
tilingDict1['3.4.6.4'] = [pairings, allAngleLists]

#4.6.12
pairings = {
    (0,0):(1,1), (0,1):(1,0), (0,2):(1,2), 
    (1,0):(0,1), (1,1):(0,0), (1,2):(0,2)
}
allAngleLists = [
    [0, pi/2, 7*pi/6],
    [pi/2, pi, 11*pi/6]
]
tilingDict1['4.6.12'] = [pairings, allAngleLists]

#(3.6)^2 .
pairings = {
    (0,0):(0,3), (0,1):(0,0), (0,2):(0,1), (0,3):(0,2)
}
allAngleLists = [
    [0, 2*pi/3, pi, 5*pi/3]
]
tilingDict1['(3.6)^2'] = [pairings, allAngleLists]

#4.8^2
pairings = {
    (0,0):(0,1), (0,1):(0,0), (0,2):(0,2)
}
allAngleLists = [
    [0, pi/2, 5*pi/4]
]
tilingDict1['4.8^2'] = [pairings, allAngleLists]

#3^2.4.3.4 .
pairings = {
    (0,0):(0,1), (0,1):(0,0), (0,2):(0,2), (0,3):(0,4), (0,4):(0,3)
}
allAngleLists = [
    [0, pi/2, 5*pi/6, 7*pi/6, 5*pi/3]
]
tilingDict1['3^2.4.3.4'] = [pairings, allAngleLists]

#3^3.4^2
pairings = {
    (0,0):(0,3), (0,1):(0,1), (0,2):(0,2), (0,3):(0,0), (0,4):(0,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2]
]
tilingDict1['3^3.4^2'] = [pairings, allAngleLists]

#3^4.6 
pairings = {
    (0,0):(0,4), (0,1):(0,1), (0,2):(0,3), (0,3):(0,2), (0,4):(0,0)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3]
]
tilingDict1['3^4.6'] = [pairings, allAngleLists]

allTilingDicts['1 Uniform'] = tilingDict1
#**************2-Uniform********************#

#Completed
tilingDict2 = {}

#3^6;3^2.4.3.4
pairings = {
    (0,0):(0,2), (0,1):(1,0), (0,2):(0,0), (0,3):(0,4), (0,4):(0,3), 
    (1,0):(0,1), (1,1):(0,1), (1,2):(0,1),
    (1,3):(0,1), (1,4):(0,1), (1,5):(0,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, 7*pi/6, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^2.4.3.4'] = [pairings, allAngleLists]

#3.4.6.4;3^2.4.3.4
pairings = {
    (0,0):(0,3), (0,1):(1,1), (0,2):(1,4), (0,3):(0,0), 
    (1,0):(1,0), (1,1):(0,1), (1,2):(1,3), (1,3):(1,2), (1,4):(0,2)
}
allAngleLists = [
    [0, pi/2, 5*pi/6, 4*pi/3], 
    [pi/6, pi/2, pi, 4*pi/3, 11*pi/6]
]
tilingDict2['3^2.4.3.4; 3.4.6.4'] = [pairings, allAngleLists]

#3.4.6.4;3^3.4^2
pairings = {
    (0,0):(0,3), (0,1):(1,4), (0,2):(1,1), (0,3):(0,0), 
    (1,0):(1,0), (1,1):(0,2), (1,2):(1,3), (1,3):(1,2), (1,4):(0,1)
}
allAngleLists = [
    [0, pi/2, 5*pi/6, 4*pi/3], 
    [0, pi/2, 5*pi/6, 7*pi/6, 3*pi/2]
]
tilingDict2['3^3.4^2; 3.4.6.4'] = [pairings, allAngleLists]

#3.4^2.6;3.4.6.4
pairings = {
    (0,0):(2,2), (0,1):(1,3), (0,2):(1,2), (0,3):(1,1), 
    (1,0):(2,1), (1,1):(0,3), (1,2):(0,2), (1,3):(0,1), 
    (2,0):(2,3), (2,1):(1,0), (2,2):(0,0), (2,3):(2,0)
}
allAngleLists = [
    [0, pi/3, pi, 3*pi/2], 
    [0,pi/2, pi, 5*pi/3], 
    [pi/6, 2*pi/3, pi, 3*pi/2]
]
tilingDict2['3.4^2.6; 3.4.6.4'] = [pairings, allAngleLists]

#4.6.12; 3.4.6.4
pairings = {
    (0,0):(1,1), (0,1):(1,0), (0,2):(2,1), 
    (1,0):(0,1), (1,1):(0,0), (1,2):(2,2), 
    (2,0):(2,3), (2,1):(0,2), (2,2):(1,2), (2,3):(2,0)
}
allAngleLists = [
    [0, 5*pi/6, 3*pi/2],
    [pi/6, pi, 3*pi/2],
    [0,pi/2, 7*pi/6, 5*pi/3]
]
tilingDict2['3.4.6.4; 4.6.12'] = [pairings, allAngleLists]

#3^2.4.12;3^6
pairings = {
    (0,0):(1,1), (0,1):(1,0), (0,2):(1,3), (0,3):(2,2), 
    (1,0):(0,1), (1,1):(0,0), (1,2):(2,1), (1,3):(0,2), 
    (2,0):(0,3), (2,1):(1,2), (2,2):(0,3), (2,3):(1,2), (2,4):(0,3), (2,5):(1,2)
}
allAngleLists = [
    [0, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi, 4*pi/3, 5*pi/3], 
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^2.4.12'] = [pairings, allAngleLists]

#3.12^2;3.4.3.12
pairings = {
    (0,0):(1,0), (0,1):(0,1), (0,2):(1,3), 
    (1,0):(0,0), (1,1):(1,2), (1,2):(1,1), (1,3):(0,2)
}
allAngleLists = [
    [0, 5*pi/6, 5*pi/3],
    [0,pi/3, 5*pi/6, 7*pi/6]
]
tilingDict2['3.4.3.12; 3.12^2'] = [pairings, allAngleLists]

#3^2.6^2;3^6
pairings = {
    (0,0):(0,0), (0,1):(0,3), (0,2):(1,0), (0,3):(0,1), 
    (1,0):(0,2), (1,1):(0,2), (1,2):(0,2), (1,3):(0,2), (1,4):(0,2), (1,5):(0,2)
}
allAngleLists = [
    [0, 2*pi/3, pi, 4*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^2.6^2'] = [pairings, allAngleLists]

#3^4.6;3^6 (1)
pairings = {
    (0,0):(0,1), (0,1):(0,0), (0,2):(1,0), (0,3):(0,3), (0,4):(1,1), 
    (1,0):(0,2), (1,1):(0,4), (1,2):(0,2), (1,3):(0,4), (1,4):(0,2), (1,5):(0,4)
}
allAngleLists = [
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3], 
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^4.6 (1)'] = [pairings, allAngleLists]

#3^4.6;3^6 (2)
pairings = {
    (0,0):(0,1), (0,1):(0,0), (0,2):(1,0), (0,3):(1,3), (0,4):(1,1), 
    (1,0):(0,2), (1,1):(0,4), (1,2):(1,2), (1,3):(0,3), (1,4):(1,5), (1,5):(1,4)
}
allAngleLists = [
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3], 
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^4.6 (2)'] = [pairings, allAngleLists]

#3^2.6^2;3^4.6
pairings = {
    (0,0):(1,0), (0,1):(0,1), (0,2):(1,3), (0,3):(0,3), (0,4):(1,2), 
    (1,0):(0,0), (1,1):(1,1), (1,2):(0,4), (1,3):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3], 
    [0, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict2['3^4.6; 3^2.6^2'] = [pairings, allAngleLists]

#3^2.6^2; 3.6.3.6
pairings = {
    (0,0):(1,0), (0,1):(1,2), (0,2):(1,0), (0,3):(1,2), 
    (1,0):(0,2), (1,1):(1,1), (1,2):(0,1), (1,3):(1,3)
}
allAngleLists = [
    [0, pi/3, pi, 4*pi/3], 
    [0,2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict2['3^2.6^2; (3.6)^2'] = [pairings, allAngleLists]

#3.6.3.6;3.4^2.6 (1)
pairings = {
    (0,0):(1,1), (0,1):(2,1), (0,2):(1,1), (0,3):(2,1), 
    (1,0):(2,2), (1,1):(0,0), (1,2):(2,0), (1,3):(1,3), 
    (2,0):(1,2), (2,1):(0,3), (2,2):(1,0), (2,3):(2,3)
}
allAngleLists = [
    [0, 2*pi/3, pi, 5*pi/3],
    [pi/3, pi, 4*pi/3, 11*pi/6], 
    [pi/3, 2*pi/3, 4*pi/3, 11*pi/6]
]
tilingDict2['3.4^2.6; (3.6)^2 (1)'] = [pairings, allAngleLists]

#3.6.3.6;3.4^2.6 (2)
pairings = {
    (0,0):(1,1), (0,1):(2,1), (0,2):(1,1), (0,3):(2,1), 
    (1,0):(2,2), (1,1):(0,0), (1,2):(2,0), (1,3):(2,3), 
    (2,0):(1,2), (2,1):(0,3), (2,2):(1,0), (2,3):(1,3)
}
allAngleLists = [
    [0, 2*pi/3, pi, 5*pi/3],
    [pi/3, pi, 4*pi/3, 11*pi/6], 
    [pi/3, 2*pi/3, 4*pi/3, 11*pi/6]
]
tilingDict2['3.4^2.6; (3.6)^2 (2)'] = [pairings, allAngleLists]

#3^3.4^2;3^2.4.3.4 (1)
pairings = {
    (0,0):(2,0), (0,1):(2,2), (0,2):(1,3), (0,3):(1,0), (0,4):(0,4),
    (1,0):(0,3), (1,1):(1,2), (1,2):(1,1), (1,3):(0,2), (1,4):(2,1),
    (2,0):(0,0), (2,1):(1,4), (2,2):(0,1), (2,3):(2,4), (2,4):(2,3)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],
    [0, pi/2, 5*pi/6, 7*pi/6, 5*pi/3]
]
tilingDict2['3^3.4^2; 3^2.4.3.4 (1)'] = [pairings, allAngleLists]

#3^3.4^2;3^2.4.3.4 (2)
pairings = {
    (0,0):(2,3), (0,1):(1,3), (0,2):(3,2), (0,3):(3,0), (0,4):(1,1), 
    (1,0):(2,0), (1,1):(0,4), (1,2):(3,4), (1,3):(0,1), (1,4):(2,2), 
    (2,0):(1,0), (2,1):(2,1), (2,2):(1,4), (2,3):(0,0), (2,4):(2,4), 
    (3,0):(0,3), (3,1):(3,1), (3,2):(0,2), (3,3):(3,3), (3,4):(1,2)
}
allAngleLists = [
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2], 
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3], 
    [0, pi/3, 2*pi/3, pi, 3*pi/2], 
    [pi/6, pi/2, 5*pi/6, 4*pi/3, 11*pi/6]
]
tilingDict2['3^3.4^2; 3^2.4.3.4 (2)'] = [pairings, allAngleLists]

#4^4;3^3.4^2 (1)
pairings = {
    (0,0):(0,2), (0,1):(1,1), (0,2):(0,0), (0,3):(0,1), 
    (1,0):(1,2), (1,1):(0,3), (1,2):(1,0), (1,3):(1,3), (1,4):(1,4)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2], 
    [0, pi/2, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^3.4^2; 4^4 (1)'] = [pairings, allAngleLists]

#4^4;3^3.4^2 (2)
pairings = {
    (0,0):(0,0), (0,1):(0,3), (0,2):(1,0), (0,3):(0,1), 
    (1,0):(0,2), (1,1):(1,4), (1,2):(1,2), (1,3):(1,3), (1,4):(1,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2], 
    [0, pi/2, 5*pi/6, 7*pi/6, 3*pi/2]
]
tilingDict2['3^3.4^2; 4^4 (2)'] = [pairings, allAngleLists]

#3^3.4^2;3^6 (1)
pairings = {
    (0,0):(0,3), (0,1):(1,4), (0,2):(1,5), (0,3):(0,0), (0,4):(0,4), 
    (1,0):(1,3), (1,1):(0,1), (1,2):(0,2), (1,3):(1,0), (1,4):(0,1), (1,5):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2], 
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^3.4^2 (1)'] = [pairings, allAngleLists]

#3^3.4^2;3^6 (2)
pairings = {
    (0,0):(0,3), (0,1):(1,4), (0,2):(1,5), (0,3):(0,0), (0,4):(0,4), 
    (1,0):(1,3), (1,1):(1,1), (1,2):(1,2), (1,3):(1,0), (1,4):(0,1), (1,5):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2], 
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict2['3^6; 3^3.4^2 (2)'] = [pairings, allAngleLists]

allTilingDicts['2 Uniform'] = tilingDict2
#**************3-Uniform********************#

#Completed
tilingDict3 = {}

#3.4^2.6; (3.6)^2, 4.6.12
pairings = {
    (0,0):(1,1), (0,1):(2,3), (0,2):(1,2), 
    (1,0):(3,2), (1,1):(0,0), (1,2):(0,2),
    (2,0):(4,3), (2,1):(3,0), (2,2):(3,3), (2,3):(0,1),
    (3,0):(2,1), (3,1):(4,2), (3,2):(1,0), (3,3):(2,2),
    (4,0):(4,1), (4,1):(4,0), (4,2):(3,1), (4,3):(2,0)
}
allAngleLists = [
    [0, 2*pi/3, 7*pi/6],
    [pi/3, pi, 11*pi/6],
    [pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 11*pi/6],
    [0, pi/3, pi, 4*pi/3]
]
tilingDict3['3.4^2.6; (3.6)^2, 4.6.12'] = [pairings, allAngleLists]

#3^6; 3^2.4.12; 4.6.12
pairings = {
    (0,0):(1,3), (0,1):(2,2), (0,2):(1,3), (0,3):(2,2), (0,4):(1,3), (0,5):(2,2),
    (1,0):(2,1), (1,1):(3,2), (1,2):(2,3), (1,3):(0,2),
    (2,0):(4,0), (2,1):(1,0), (2,2):(0,1), (2,3):(1,2),
    (3,0):(4,2), (3,1):(4,1), (3,2):(1,1),
    (4,0):(2,0), (4,1):(3,1), (4,2):(3,0)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi, 4*pi/3, 5*pi/3],
    [2*pi/3, 4*pi/3, 11*pi/6],
    [pi/2, pi, 5*pi/3]
]
tilingDict3['3^6; 3^2.4.12; 4.6.12'] = [pairings, allAngleLists]

#3^2.4.12; 3.4.6.4; 3.12^2
pairings = {
    (0,0):(0,0), (0,1):(1,3), (0,2):(2,0),
    (1,0):(2,3), (1,1):(3,0), (1,2):(2,1), (1,3):(0,1),
    (2,0):(0,2), (2,1):(1,2), (2,2):(3,3), (2,3):(1,0),
    (3,0):(1,1), (3,1):(3,2), (3,2):(3,1), (3,3):(2,2)
}
allAngleLists = [
    [0, 5*pi/6, 7*pi/6],
    [2*pi/3, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, 5*pi/6, 4*pi/3],
    [pi/6, 2*pi/3, 4*pi/3, 11*pi/6]
]
tilingDict3['3^2.4.12; 3.4.6.4; 3.12^2'] = [pairings, allAngleLists]

#3.4.3.12; 3.4.6.4; 3.12^2
pairings = {
    (0,0):(0,0), (0,1):(1,3), (0,2):(2,0),
    (1,0):(2,3), (1,1):(3,0), (1,2):(2,1), (1,3):(0,1),
    (2,0):(0,2), (2,1):(1,2), (2,2):(3,1), (2,3):(1,0),
    (3,0):(1,1), (3,1):(2,2), (3,2):(3,3), (3,3):(3,2)
}
allAngleLists = [
    [0, 5*pi/6, 7*pi/6],
    [2*pi/3, pi, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, pi, 4*pi/3],
    [0, pi/3, 5*pi/6, 3*pi/2]
]
tilingDict3['3.4.3.12; 3.4.6.4; 3.12^2'] = [pairings, allAngleLists]

#3^3.4^2; 3^2.4.12; 3.4.6.4
pairings = {
    (0,0):(1,1), (0,1):(1,0), (0,2):(2,0), (0,3):(3,1),
    (1,0):(0,1), (1,1):(0,0), (1,2):(4,1), (1,3):(2,1),
    (2,0):(0,2), (2,1):(1,3), (2,2):(4,0), (2,3):(2,3), (2,4):(3,2),
    (3,0):(4,2), (3,1):(0,3), (3,2):(2,4), (3,3):(4,3),
    (4,0):(2,2), (4,1):(1,2), (4,2):(3,0), (4,3):(3,3)
}
allAngleLists = [
    [0, 5*pi/6, 7*pi/6, 3*pi/2],
    [pi/6, pi, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, 5*pi/6, 4*pi/3, 11*pi/6],
    [0, pi/2, 5*pi/6, 4*pi/3],
    [pi/6, pi/2, pi, 5*pi/3]
]
tilingDict3['3^3.4^2; 3^2.4.12; 3.4.6.4'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 3^2.4.12
pairings = {
    (0,0):(3,4), (0,1):(2,2), (0,2):(1,3), (0,3):(3,0), (0,4):(0,5), (0,5):(0,4),
    (1,0):(2,1), (1,1):(2,0), (1,2):(3,1), (1,3):(0,2),
    (2,0):(1,1), (2,1):(1,0), (2,2):(0,1), (2,3):(3,3),
    (3,0):(0,3), (3,1):(1,2), (3,2):(3,2), (3,3):(2,3), (3,4):(0,0)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^3.4^2; 3^2.4.12'] = [pairings, allAngleLists]

#3^6; 3^2.4.3.4; 3^2.4.12
pairings = {
    (0,0):(3,0), (0,1):(2,2), (0,2):(1,3), (0,3):(3,0), (0,4):(2,2), (0,5):(1,3),
    (1,0):(2,1), (1,1):(2,0), (1,2):(3,1), (1,3):(0,2),
    (2,0):(1,1), (2,1):(1,0), (2,2):(0,1), (2,3):(3,4),
    (3,0):(0,3), (3,1):(1,2), (3,2):(3,3), (3,3):(3,2), (3,4):(2,3)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3]
]
tilingDict3['3^6; 3^2.4.3.4; 3^2.4.12'] = [pairings, allAngleLists]

#3^4.6; 3^3.4^2; 3^2.4.3.4
pairings = {
    (0,0):(0,4), (0,1):(1,3), (0,2):(2,4), (0,3):(1,4), (0,4):(0,0),
    (1,0):(2,3), (1,1):(1,1), (1,2):(2,0), (1,3):(0,1), (1,4):(0,3),
    (2,0):(1,2), (2,1):(2,2), (2,2):(2,1), (2,3):(1,0), (2,4):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3]
]
tilingDict3['3^4.6; 3^3.4^2; 3^2.4.3.4'] = [pairings, allAngleLists]

#3^6; 3^2.4.3.4; 3.4^2.6
pairings = {
    (0,0):(1,3), (0,1):(1,3), (0,2):(1,3), (0,3):(1,3), (0,4):(1,3), (0,5):(1,3),
    (1,0):(2,2), (1,1):(3,0), (1,2):(1,4), (1,3):(0,0), (1,4):(1,2),
    (2,0):(3,2), (2,1):(3,1), (2,2):(1,0), (2,3):(3,3),
    (3,0):(1,1), (3,1):(2,1), (3,2):(2,0), (3,3):(2,3)
}
allAngleLists = [
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2]
]
tilingDict3['3^6; 3^2.4.3.4; 3.4^2.6'] = [pairings, allAngleLists]

#3^6; 3^2.4.3.4; 3.4.6.4
pairings = {
    (0,0):(1,3), (0,1):(1,3), (0,2):(1,3), (0,3):(1,3), (0,4):(1,3), (0,5):(1,3),
    (1,0):(3,3), (1,1):(2,2), (1,2):(1,4), (1,3):(0,0), (1,4):(1,2),
    (2,0):(3,1), (2,1):(3,0), (2,2):(1,1), (2,3):(3,2),
    (3,0):(2,1), (3,1):(2,0), (3,2):(2,3), (3,3):(1,0)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [pi/3, pi, 3*pi/2, 11*pi/6],
    [0, 2*pi/3, 7*pi/6, 3*pi/2]
]
tilingDict3['3^6; 3^2.4.3.4; 3.4.6.4'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 3.4.6.4 (1)
pairings = {
    (0,0):(3,2), (0,1):(1,3), (0,2):(3,2), (0,3):(1,3), (0,4):(3,2), (0,5):(1,3),
    (1,0):(3,0), (1,1):(2,3), (1,2):(3,3), (1,3):(0,1), (1,4):(3,1),
    (2,0):(2,1), (2,1):(2,0), (2,2):(3,4), (2,3):(1,1),
    (3,0):(1,0), (3,1):(1,4), (3,2):(0,0), (3,3):(1,2), (3,4):(2,2)
}
allAngleLists = [
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/3, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [0,2*pi/3, 7*pi/6, 3*pi/2],
    [pi/3, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6]
]
tilingDict3['3^6; 3^3.4^2; 3.4.6.4 (1)'] = [pairings, allAngleLists]

#3^6; 3^2.4.3.4; 3.4.6.4 (2)
pairings = {
    (0,0):(2,4), (0,1):(1,3), (0,2):(2,4), (0,3):(1,3), (0,4):(2,4), (0,5):(1,3),
    (1,0):(2,2), (1,1):(3,2), (1,2):(2,0), (1,3):(0,1), (1,4):(2,3),
    (2,0):(1,2), (2,1):(3,3), (2,2):(1,0), (2,3):(1,4), (2,4):(0,0),
    (3,0):(3,1), (3,1):(3,0), (3,2):(1,1), (3,3):(2,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/3, pi, 3*pi/2, 11*pi/6]
]
tilingDict3['3^6; 3^2.4.3.4; 3.4.6.4 (2)'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 3^2.4.3.4
pairings = {
    (0,0):(1,3), (0,1):(1,0), (0,2):(0,4), (0,3):(2,0), (0,4):(0,2),
    (1,0):(0,1), (1,1):(1,2), (1,2):(1,1), (1,3):(0,0), (1,4):(1,4),
    (2,0):(0,3), (2,1):(0,3), (2,2):(0,3), (2,3):(0,3), (2,4):(0,3), (2,5):(0,3)
}
allAngleLists = [
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6]
]
tilingDict3['3^6; 3^3.4^2; 3^2.4.3.4'] = [pairings, allAngleLists]

#3^2.4.12; 3.4.3.12; 3.12^2
pairings = {
    (0,0):(4,1), (0,1):(1,2), (0,2):(2,2), (0,3):(2,0), 
    (1,0):(3,3), (1,1):(3,1), (1,2):(0,1), (1,3):(4,0), 
    (2,0):(0,3), (2,1):(2,1), (2,2):(0,2), (2,3):(3,0),
    (3,0):(2,3), (3,1):(1,1), (3,2):(3,2), (3,3):(1,0),
    (4,0):(1,3), (4,1):(0,0), (4,2):(4,2)
    }
allAngleLists = [
    [0,pi/3, 5*pi/6, 7*pi/6], 
    [pi/2, 5*pi/6, 4*pi/3, 5*pi/3], 
    [pi/6, pi/2, 5*pi/6, 4*pi/3],
    [pi/3, 5*pi/6, 7*pi/6, 3*pi/2], 
    [2*pi/3, pi, 11*pi/6]
]
tilingDict3['3^2.4.12; 3.4.3.12; 3.12^2'] = [pairings, allAngleLists]

#3.4^2.6; 3.4.6.4; 4^4
pairings = {
    (0,0):(2,3), (0,1):(2,3), (0,2):(2,3), (0,3):(2,3),
    (1,0):(3,0), (1,1):(2,0), (1,2):(2,2), (1,3):(3,2),
    (2,0):(1,1), (2,1):(3,3), (2,2):(1,2), (2,3):(0,0),
    (3,0):(1,0), (3,1):(4,3), (3,2):(1,3), (3,3):(2,1), 
    (4,0):(3,1), (4,1):(3,1), (4,2):(3,1), (4,3):(3,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [pi/3, pi, 3*pi/2, 11*pi/6],
    [0, 2*pi/3, pi, 3*pi/2],
    [pi/3, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/3, 5*pi/6, 4*pi/3, 11*pi/6]
]
tilingDict3['3.4^2.6; 3.4.6.4; 4^4'] = [pairings, allAngleLists]

#3^2.4.3.4; 3.4^2.6; 3.4.6.4
pairings = {
    (0,0):(2,0), (0,1):(1,0), (0,2):(3,0), (0,3):(0,3), 
    (1,0):(0,1), (1,1):(2,3), (1,2):(1,2), (1,3):(3,1),
    (2,0):(0,0), (2,1):(3,4), (2,2):(3,2), (2,3):(1,1),
    (3,0):(0,2), (3,1):(1,3), (3,2):(2,2), (3,3):(3,3), (3,4):(2,1)
}
allAngleLists = [
    [pi/3, pi, 4*pi/3, 11*pi/6],
    [0, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, 7*pi/6, 3*pi/2, 11*pi/6]
]
tilingDict3['3^2.4.3.4; 3.4^2.6; 3.4.6.4'] = [pairings, allAngleLists]

#3^3.4^2; 3^2.4.3.4; 4^4
pairings = {
    (0,0):(1,4), (0,1):(1,4), (0,2):(1,4), (0,3):(1,4), 
    (1,0):(2,4), (1,1):(1,1), (1,2):(2,3), (1,3):(2,0), (1,4):(0,0),
    (2,0):(1,3), (2,1):(2,2), (2,2):(2,1), (2,3):(1,2), (2,4):(1,0)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2]
]
tilingDict3['3^3.4^2; 3^2.4.3.4; 4^4'] = [pairings, allAngleLists]

#3.4^2.6; (3.6)^2; 4^4
pairings = {
    (0,0):(1,2), (0,1):(2,3), (0,2):(1,0), (0,3):(0,3),
    (1,0):(0,2), (1,1):(3,3), (1,2):(0,0), (1,3):(1,3),
    (2,0):(3,2), (2,1):(4,3), (2,2):(3,0), (2,3):(0,1),
    (3,0):(2,2), (3,1):(4,2), (3,2):(2,0), (3,3):(1,1),
    (4,0):(3,1), (4,1):(2,1), (4,2):(3,1), (4,3):(2,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3] 
]
tilingDict3['3.4^2.6; (3.6)^2; 4^4 (1)'] = [pairings, allAngleLists]

#3.4^2.6; (3.6)^2; 4^4 (2)
pairings = {
    (0,0):(1,2), (0,1):(2,3), (0,2):(1,0), (0,3):(1,3),
    (1,0):(0,2), (1,1):(3,3), (1,2):(0,0), (1,3):(0,3),
    (2,0):(3,2), (2,1):(4,3), (2,2):(3,0), (2,3):(0,1),
    (3,0):(2,2), (3,1):(4,2), (3,2):(2,0), (3,3):(1,1),
    (4,0):(3,1), (4,1):(2,1), (4,2):(3,1), (4,3):(2,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3] 
]
tilingDict3['3.4^2.6; (3.6)^2; 4^4 (2)'] = [pairings, allAngleLists]

#3.4^2.6; (3.6)^2; 4^4 (3)
pairings = {
    (0,0):(1,2), (0,1):(2,3), (0,2):(1,0), (0,3):(2,3),
    (1,0):(0,2), (1,1):(3,3), (1,2):(0,0), (1,3):(3,3),
    (2,0):(3,2), (2,1):(4,3), (2,2):(3,0), (2,3):(0,1),
    (3,0):(2,2), (3,1):(4,2), (3,2):(2,0), (3,3):(1,1),
    (4,0):(3,1), (4,1):(2,1), (4,2):(3,1), (4,3):(2,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3] 
]
tilingDict3['3.4^2.6; (3.6)^2; 4^4 (3)'] = [pairings, allAngleLists]

#3.4^2.6; (3.6)^2; 4^4 (4)
pairings = {
    (0,0):(1,2), (0,1):(2,3), (0,2):(1,0), (0,3):(3,3),
    (1,0):(0,2), (1,1):(3,3), (1,2):(0,0), (1,3):(2,3),
    (2,0):(3,2), (2,1):(4,3), (2,2):(3,0), (2,3):(0,1),
    (3,0):(2,2), (3,1):(4,2), (3,2):(2,0), (3,3):(1,1),
    (4,0):(3,1), (4,1):(2,1), (4,2):(3,1), (4,3):(2,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3] 
]
tilingDict3['3.4^2.6; (3.6)^2; 4^4 (4)'] = [pairings, allAngleLists]

#3^3.4^2; 3^2.6^2; 3.4^2.6
pairings = {
    (0,0):(1,2), (0,1):(4,2), (0,2):(3,3), (0,3):(2,0), (0,4):(0,4),
    (1,0):(2,2), (1,1):(4,3), (1,2):(0,0), (1,3):(2,3),
    (2,0):(0,3), (2,1):(3,2), (2,2):(1,0), (2,3):(1,3),
    (3,0):(4,1), (3,1):(3,1), (3,2):(2,1), (3,3):(0,2),
    (4,0):(4,0), (4,1):(3,0), (4,2):(0,1), (4,3):(1,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [0, 2*pi/3, 4*pi/3, 5*pi/3],
    [pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^3.4^2; 3^2.6^2; 3.4^2.6'] = [pairings, allAngleLists]

#3^2.6^2; 3.4^2.6; (3.6)^2 (1)
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(1,0), (0,3):(0,3),
    (1,0):(0,2), (1,1):(4,2), (1,2):(0,0), (1,3):(1,3),
    (2,0):(3,2), (2,1):(5,3), (2,2):(3,0), (2,3):(4,0),
    (3,0):(2,2), (3,1):(5,2), (3,2):(2,0), (3,3):(4,1),
    (4,0):(2,3), (4,1):(3,3), (4,2):(1,1), (4,3):(0,1),
    (5,0):(1,1), (5,1):(0,1), (5,2):(3,1), (5,3):(2,1)
}
allAngleLists = [
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [0, 2*pi/3, pi, 4*pi/3],
    [0, pi/3, pi, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['3^2.6^2; 3.4^2.6; (3.6)^2 (1)'] = [pairings, allAngleLists]

#3^2.6^2; 3.4^2.6; (3.6)^2 (2)
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(1,0), (0,3):(1,3),
    (1,0):(0,2), (1,1):(4,2), (1,2):(0,0), (1,3):(0,3),
    (2,0):(3,2), (2,1):(5,3), (2,2):(3,0), (2,3):(4,0),
    (3,0):(2,2), (3,1):(5,2), (3,2):(2,0), (3,3):(4,1),
    (4,0):(2,3), (4,1):(3,3), (4,2):(1,1), (4,3):(0,1),
    (5,0):(1,1), (5,1):(0,1), (5,2):(3,1), (5,3):(2,1)
}
allAngleLists = [
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [0, 2*pi/3, pi, 4*pi/3],
    [0, pi/3, pi, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['3^2.6^2; 3.4^2.6; (3.6)^2 (2)'] = [pairings, allAngleLists]

#3^4.6; 3^3.4^2; 3.4^2.6
pairings = {
    (0,0):(1,2), (0,1):(3,1), (0,2):(3,4), (0,3):(2,0), (0,4):(0,4),
    (1,0):(2,2), (1,1):(3,2), (1,2):(0,0), (1,3):(2,3),
    (2,0):(0,3), (2,1):(3,3), (2,2):(1,0), (2,3):(1,3),
    (3,0):(3,0), (3,1):(0,1), (3,2):(1,1), (3,3):(2,1), (3,4):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['3^4.6; 3^3.4^2; 3.4^2.6'] = [pairings, allAngleLists]

#3^2.6^2; (3.6)^2; 6^3 (1)
pairings = {
    (0,0):(0,2), (0,1):(1,0), (0,2):(0,0),
    (1,0):(0,1), (1,1):(2,3), (1,2):(1,2), (1,3):(2,2),
    (2,0):(2,1), (2,1):(2,0), (2,2):(1,3), (2,3):(1,1)
}
allAngleLists = [
    [pi/3, pi, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['3^2.6^2; (3.6)^2; 6^3'] = [pairings, allAngleLists]

#3^2.6^2; (3.6)^2; 6^3 (2)
pairings = {
    (0,0):(0,0), (0,1):(0,1), (0,2):(1,0),
    (1,0):(0,2), (1,1):(2,0), (1,2):(1,2), (1,3):(2,1),
    (2,0):(1,1), (2,1):(1,3), (2,2):(1,1), (2,3):(1,3)
}
allAngleLists = [
    [pi/6, 5*pi/6, 3*pi/2],
    [pi/2, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, 5*pi/6, 7*pi/6, 11*pi/6]
]
tilingDict3['3^2.6^2; (3.6)^2; 6^3 (2)'] = [pairings, allAngleLists]

#3^4.6; 3^2.6^2; 6^3
pairings = {
    (0,0):(0,0), (0,1):(0,1), (0,2):(1,0),
    (1,0):(0,2), (1,1):(2,3), (1,2):(2,1), (1,3):(2,4),
    (2,0):(2,0), (2,1):(1,2), (2,2):(2,2), (2,3):(1,1), (2,4):(1,3)
}
allAngleLists = [
    [pi/6, 5*pi/6, 3*pi/2],
    [pi/2, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 11*pi/6]
]
tilingDict3['3^4.6; 3^2.6^2; 6^3'] = [pairings, allAngleLists]

#3^6; 3^2.6^2; 6^3
pairings = {
    (0,0):(1,0), (0,1):(1,0), (0,2):(1,0),
    (1,0):(0,0), (1,1):(1,3), (1,2):(2,0), (1,3):(1,1),
    (2,0):(1,2), (2,1):(1,2), (2,2):(1,2), (2,3):(1,2), (2,4):(1,2), (2,5):(1,2)
}
allAngleLists = [
    [pi/6, 5*pi/6, 3*pi/2],
    [pi/2, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6]
]
tilingDict3['3^6; 3^2.6^2; 6^3'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^2.6^2 (1)
pairings = {
    (0,0):(1,2), (0,1):(3,2), (0,2):(4,3), (0,3):(2,0), (0,4):(2,3), (0,5):(1,4),
    (1,0):(2,2), (1,1):(3,3), (1,2):(0,0), (1,3):(1,3), (1,4):(0,5),
    (2,0):(0,3), (2,1):(4,2), (2,2):(1,0), (2,3):(0,4), (2,4):(2,4),
    (3,0):(3,0), (3,1):(4,0), (3,2):(0,1), (3,3):(1,1),
    (4,0):(3,1), (4,1):(4,1), (4,2):(2,1), (4,3):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^4.6; 3^2.6^2 (1)'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^2.6^2 (2)
pairings = {
    (0,0):(1,2), (0,1):(2,2), (0,2):(1,4), (0,3):(1,2), (0,4):(2,2), (0,5):(1,4),
    (1,0):(2,1), (1,1):(2,3), (1,2):(0,0), (1,3):(1,3), (1,4):(0,2),
    (2,0):(2,0), (2,1):(1,0), (2,2):(0,1), (2,3):(1,1)
}
allAngleLists = [
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/2, 7*pi/6, 3*pi/2, 11*pi/6],
]
tilingDict3['3^6; 3^4.6; 3^2.6^2 (2)'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^2.6^2 (3)
pairings = {
    (0,0):(1,2), (0,1):(2,2), (0,2):(1,4), (0,3):(0,3), (0,4):(1,3), (0,5):(0,5),
    (1,0):(2,1), (1,1):(2,3), (1,2):(0,0), (1,3):(0,4), (1,4):(0,2),
    (2,0):(2,0), (2,1):(1,0), (2,2):(0,1), (2,3):(1,1)
}
allAngleLists = [
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/2, 7*pi/6, 3*pi/2, 11*pi/6],
]
tilingDict3['3^6; 3^4.6; 3^2.6^2 (3)'] = [pairings, allAngleLists]

#3^6; 3^4.6; (3.6)^2 (1)
pairings = {
    (0,0):(0,0), (0,1):(1,3), (0,2):(2,4), (0,3):(0,3), (0,4):(2,3), (0,5):(1,4),
    (1,0):(2,2), (1,1):(3,3), (1,2):(2,0), (1,3):(0,1), (1,4):(0,5),
    (2,0):(1,2), (2,1):(3,2), (2,2):(1,0), (2,3):(0,4), (2,4):(0,2),
    (3,0):(2,1), (3,1):(1,1), (3,2):(2,1), (3,3):(1,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^4.6; (3.6)^2 (1)'] = [pairings, allAngleLists]

#3^6; 3^4.6; (3.6)^2 (2)
pairings = {
    (0,0):(1,3), (0,1):(1,3), (0,2):(1,3), (0,3):(1,3), (0,4):(1,3), (0,5):(1,3), 
    (1,0):(2,2), (1,1):(2,3), (1,2):(1,4), (1,3):(0,0), (1,4):(1,2),
    (2,0):(2,1), (2,1):(2,0), (2,2):(1,0), (2,3):(1,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3]
]
tilingDict3['3^6; 3^4.6; (3.6)^2 (2)'] = [pairings, allAngleLists]

#3^6; 3^4.6; (3.6)^2 (3)
pairings = {
    (0,0):(1,3), (0,1):(1,3), (0,2):(1,3), (0,3):(1,3), (0,4):(1,3), (0,5):(1,3), 
    (1,0):(2,2), (1,1):(2,3), (1,2):(1,4), (1,3):(0,0), (1,4):(1,2),
    (2,0):(1,0), (2,1):(1,1), (2,2):(1,0), (2,3):(1,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3]
]
tilingDict3['3^6; 3^4.6; (3.6)^2 (3)'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 4^4 (1)
pairings = {
    (0,0):(0,2), (0,1):(1,4), (0,2):(0,0), (0,3):(0,3),
    (1,0):(1,3), (1,1):(2,4), (1,2):(2,5), (1,3):(1,0), (1,4):(0,1),
    (2,0):(2,3), (2,1):(1,1), (2,2):(1,2), (2,3):(2,0), (2,4):(1,1), (2,5):(1,2)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^3.4^2; 4^4 (1)'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 4^4 (2)
pairings = {
    (0,0):(0,2), (0,1):(1,4), (0,2):(0,0), (0,3):(0,3),
    (1,0):(1,3), (1,1):(2,4), (1,2):(2,5), (1,3):(1,0), (1,4):(0,1),
    (2,0):(2,3), (2,1):(2,1), (2,2):(2,2), (2,3):(2,0), (2,4):(1,1), (2,5):(1,2)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^3.4^2; 4^4 (2)'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 4^4 (3)
pairings = {
    (0,0):(0,2), (0,1):(1,4), (0,2):(0,0), (0,3):(1,4),
    (1,0):(1,3), (1,1):(2,4), (1,2):(2,5), (1,3):(1,0), (1,4):(0,1),
    (2,0):(2,3), (2,1):(1,1), (2,2):(1,2), (2,3):(2,0), (2,4):(1,1), (2,5):(1,2)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^3.4^2; 4^4 (3)'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; 4^4 (4)
pairings = {
    (0,0):(0,2), (0,1):(1,4), (0,2):(0,0), (0,3):(1,4),
    (1,0):(1,3), (1,1):(2,4), (1,2):(2,5), (1,3):(1,0), (1,4):(0,1),
    (2,0):(2,3), (2,1):(2,1), (2,2):(2,2), (2,3):(2,0), (2,4):(1,1), (2,5):(1,2)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; 3^3.4^2; 4^4 (4)'] = [pairings, allAngleLists]

#3.4^2.6; (3.4.6.4)*2
pairings = {
    (0,0):(1,1), (0,1):(2,3), (0,2):(1,3), (0,3):(3,1),
    (1,0):(2,0), (1,1):(0,0), (1,2):(3,0), (1,3):(0,2),
    (2,0):(1,0), (2,1):(2,2), (2,2):(2,1), (2,3):(0,1),
    (3,0):(1,2), (3,1):(0,3), (3,2):(3,3), (3,3):(3,2)
}
allAngleLists = [
    [0, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, pi, 4*pi/3, 11*pi/6],
    [pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, 7*pi/6, 11*pi/6]
]
tilingDict3['3.4^2.6; (3.4.6.4)*2'] = [pairings, allAngleLists]

#(3^6)^2; 3^4.6 (1)
pairings = {
    (0,0):(1,0), (0,1):(2,2), (0,2):(2,4), (0,3):(1,0), (0,4):(2,2), (0,5):(2,4),
    (1,0):(0,0), (1,1):(2,3), (1,2):(0,3), (1,3):(2,3), (1,4):(0,3), (1,5):(2,3),
    (2,0):(2,1), (2,1):(2,0), (2,2):(0,1), (2,3):(1,1), (2,4):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['(3^6)^2; 3^4.6 (1)'] = [pairings, allAngleLists]

#(3^6)^2; 3^4.6 (2)
pairings = {
    (0,0):(1,2), (0,1):(2,2), (0,2):(2,4), (0,3):(1,0), (0,4):(0,5), (0,5):(0,4),
    (1,0):(0,3), (1,1):(2,3), (1,2):(0,0), (1,3):(0,3), (1,4):(2,3), (1,5):(0,0),
    (2,0):(2,1), (2,1):(2,0), (2,2):(0,1), (2,3):(1,1), (2,4):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['(3^6)^2; 3^4.6 (2)'] = [pairings, allAngleLists]

#(3^6)^2; 3^4.6 (3)
pairings = {
    (0,0):(1,2), (0,1):(2,2), (0,2):(2,4), (0,3):(1,0), (0,4):(1,3), (0,5):(0,5),
    (1,0):(0,3), (1,1):(2,3), (1,2):(0,0), (1,3):(0,4), (1,4):(1,5), (1,5):(1,4),
    (2,0):(2,1), (2,1):(2,0), (2,2):(0,1), (2,3):(1,1), (2,4):(0,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['(3^6)^2; 3^4.6 (3)'] = [pairings, allAngleLists]

#3^6; (3^4.6)^2
pairings = {
    (0,0):(1,0), (0,1):(3,1), (0,2):(2,2), (0,3):(1,0), (0,4):(3,1), (0,5):(2,2),
    (1,0):(0,3), (1,1):(2,1), (1,2):(2,4), (1,3):(3,4), (1,4):(3,2),
    (2,0):(2,0), (2,1):(1,1), (2,2):(0,5), (2,3):(3,0), (2,4):(1,2),
    (3,0):(2,3), (3,1):(0,4), (3,2):(1,4), (3,3):(3,3), (3,4):(1,3)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3]
]
tilingDict3['3^6; (3^4.6)^2'] = [pairings, allAngleLists]

#3^6; (3^2.4.3.4)*2
pairings = {
    (0,0):(1,1), (0,1):(1,1), (0,2):(1,1), (0,3):(1,1), (0,4):(1,1), (0,5):(1,1),
    (1,0):(1,2), (1,1):(0,0), (1,2):(1,0), (1,3):(2,3), (1,4):(2,1),
    (2,0):(2,4), (2,1):(1,4), (2,2):(2,2), (2,3):(1,3), (2,4):(2,0)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 3*pi/2],
    [0, pi/2, 5*pi/6, 7*pi/6, 5*pi/3]
]
tilingDict3['3^6; (3^2.4.3.4)*2'] = [pairings, allAngleLists]

#(3.4^2.6)*2; (3.6)^2
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(1,0), (0,3):(1,3),
    (1,0):(0,2), (1,1):(4,2), (1,2):(0,0), (1,3):(0,3),
    (2,0):(3,2), (2,1):(4,1), (2,2):(3,0), (2,3):(2,3),
    (3,0):(2,2), (3,1):(4,0), (3,2):(2,0), (3,3):(3,3),
    (4,0):(3,1), (4,1):(2,1), (4,2):(1,1), (4,3):(0,1)
}
allAngleLists = [
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, pi, 3*pi/2],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['(3.4^2.6)*2; (3.6)^2'] = [pairings, allAngleLists]

#3.4^2.6; ((3.6)^2)*2 (1)
pairings = {
    (0,0):(2,2), (0,1):(3,2), (0,2):(4,0), (0,3):(5,0),
    (1,0):(4,0), (1,1):(5,0), (1,2):(2,0), (1,3):(3,0),
    (2,0):(1,2), (2,1):(3,3), (2,2):(0,0), (2,3):(3,1),
    (3,0):(1,3), (3,1):(2,3), (3,2):(0,1), (3,3):(2,1),
    (4,0):(0,2), (4,1):(5,3), (4,2):(4,2), (4,3):(5,1),
    (5,0):(0,3), (5,1):(4,3), (5,2):(5,2), (5,3):(4,1)
}
allAngleLists = [
    [0, pi/3, pi, 4*pi/3],
    [0, pi/3, pi, 4*pi/3],
    [0, 2*pi/3, pi, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, 7*pi/6, 5*pi/3]
]
tilingDict3['3.4^2.6; ((3.6)^2)*2 (1)'] = [pairings, allAngleLists]

#3.4^2.6; ((3.6)^2)*2 (2)
pairings = {
    (0,0):(2,2), (0,1):(3,2), (0,2):(4,0), (0,3):(5,0),
    (1,0):(4,0), (1,1):(5,0), (1,2):(2,0), (1,3):(3,0),
    (2,0):(1,2), (2,1):(3,3), (2,2):(0,0), (2,3):(3,1),
    (3,0):(1,3), (3,1):(2,3), (3,2):(0,1), (3,3):(2,1),
    (4,0):(0,2), (4,1):(5,3), (4,2):(5,2), (4,3):(5,1),
    (5,0):(0,3), (5,1):(4,3), (5,2):(4,2), (5,3):(4,1)
}
allAngleLists = [
    [0, pi/3, pi, 4*pi/3],
    [0, pi/3, pi, 4*pi/3],
    [0, 2*pi/3, pi, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, 7*pi/6, 5*pi/3]
]
tilingDict3['3.4^2.6; ((3.6)^2)*2 (2)'] = [pairings, allAngleLists]

#3^2.6^2; ((3.6)^2)*2;
pairings = {
    (0,0):(2,3), (0,1):(1,3), (0,2):(3,1), (0,3):(1,1),
    (1,0):(2,2), (1,1):(0,3), (1,2):(3,0), (1,3):(0,1),
    (2,0):(5,2), (2,1):(4,2), (2,2):(1,0), (2,3):(0,0),
    (3,0):(1,2), (3,1):(0,2), (3,2):(4,0), (3,3):(5,0),
    (4,0):(3,2), (4,1):(5,3), (4,2):(2,1), (4,3):(5,1),
    (5,0):(3,3), (5,1):(4,3), (5,2):(2,0), (5,3):(4,1)
}
allAngleLists = [
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 5*pi/3],
    [0, pi/3, pi, 4*pi/3],
    [0, pi/3, pi, 4*pi/3],
    [0, 2*pi/3, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 5*pi/3]    
]   
tilingDict3['3^2.6^2; ((3.6)^2)*2'] = [pairings, allAngleLists]

#(3^4.6)*2; (3.6)^2 (1)
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(1,0), (0,3):(0,3), (0,4):(1,4),
    (1,0):(0,2), (1,1):(4,2), (1,2):(0,0), (1,3):(1,3), (1,4):(0,4),
    (2,0):(3,2), (2,1):(4,1), (2,2):(3,0), (2,3):(3,3), (2,4):(2,4),
    (3,0):(2,2), (3,1):(4,0), (3,2):(2,0), (3,3):(2,3), (3,4):(3,4),
    (4,0):(3,1), (4,1):(2,1), (4,2):(1,1), (4,3):(0,1)
}
allAngleLists = [
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['(3^4.6)*2; (3.6)^2 (1)'] = [pairings, allAngleLists]

#(3^4.6)*2; (3.6)^2 (2)
pairings = {
    (0,0):(1,2), (0,1):(2,3), (0,2):(1,0), (0,3):(1,3), (0,4):(0,4),
    (1,0):(0,2), (1,1):(2,2), (1,2):(0,0), (1,3):(0,3), (1,4):(1,4),
    (2,0):(1,1), (2,1):(0,1), (2,2):(1,1), (2,3):(0,1)
}
allAngleLists = [
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3]
]
tilingDict3['(3^4.6)*2; (3.6)^2 (2)'] = [pairings, allAngleLists]

#3^3.4^2; (4^4)*2 (1)
pairings = {
    (0,0):(0,2), (0,1):(1,3), (0,2):(0,0), (0,3):(2,1),
    (1,0):(1,2), (1,1):(1,1), (1,2):(1,0), (1,3):(0,1),
    (2,0):(2,2), (2,1):(0,3), (2,2):(2,0), (2,3):(2,3), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^3.4^2; (4^4)*2 (1)'] = [pairings, allAngleLists]

#(3^3.4^2)*2; 4^4 (1)
pairings = {
    (0,0):(0,2), (0,1):(0,1), (0,2):(0,0), (0,3):(1,1),
    (1,0):(1,2), (1,1):(0,3), (1,2):(1,0), (1,3):(2,1), (1,4):(2,2),
    (2,0):(2,3), (2,1):(1,3), (2,2):(1,4), (2,3):(2,0), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2]
]
tilingDict3['(3^3.4^2)*2; 4^4 (1)'] = [pairings, allAngleLists]

#3^3.4^2; (4^4)*2 (2)
pairings = {
    (0,0):(0,2), (0,1):(1,1), (0,2):(0,0), (0,3):(1,1),
    (1,0):(1,2), (1,1):(0,1), (1,2):(1,0), (1,3):(2,1),
    (2,0):(2,2), (2,1):(1,3), (2,2):(2,0), (2,3):(2,3), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^3.4^2; (4^4)*2 (2)'] = [pairings, allAngleLists]

#(3^3.4^2)*2; 4^4 (2)
pairings = {
    (0,0):(0,2), (0,1):(1,1), (0,2):(0,0), (0,3):(1,1),
    (1,0):(1,2), (1,1):(0,3), (1,2):(1,0), (1,3):(2,1), (1,4):(2,2),
    (2,0):(2,3), (2,1):(1,3), (2,2):(1,4), (2,3):(2,0), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2]
]
tilingDict3['(3^3.4^2)*2; 4^4 (2)'] = [pairings, allAngleLists]

#(3^3.4^2)*2; 3^2.4.3.4
pairings = {
    (0,0):(1,3), (0,1):(1,1), (0,2):(5,1), (0,3):(4,2), (0,4):(1,4),
    (1,0):(5,2), (1,1):(0,1), (1,2):(1,2), (1,3):(0,0), (1,4):(0,4),
    (2,0):(2,0), (2,1):(3,1), (2,2):(4,4), (2,3):(3,3), (2,4):(3,2),
    (3,0):(4,0), (3,1):(2,1), (3,2):(2,4), (3,3):(2,3), (3,4):(5,4),
    (4,0):(3,0), (4,1):(5,3), (4,2):(0,3), (4,3):(5,0), (4,4):(2,2),
    (5,0):(4,3), (5,1):(0,2), (5,2):(1,0), (5,3):(4,1), (5,4):(3,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [pi/6, pi/2, 5*pi/6, 4*pi/3, 11*pi/6],
    [pi/6, pi/2, 5*pi/6, 4*pi/3, 11*pi/6],
    [pi/6, pi/2, pi, 4*pi/3, 11*pi/6],
    [pi/3, 2*pi/3, pi, 3*pi/2, 11*pi/6]
]
tilingDict3['(3^3.4^2)*2; 3^2.4.3.4'] = [pairings, allAngleLists]

#3^3.4^2; (3^2.4.3.4)*2
pairings = {
    (0,0):(2,2), (0,1):(1,3), (0,2):(0,2), (0,3):(1,2), (0,4):(0,4),
    (1,0):(2,0), (1,1):(2,3), (1,2):(0,3), (1,3):(0,1), (1,4):(2,1),
    (2,0):(1,0), (2,1):(1,4), (2,2):(0,0), (2,3):(1,1), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [pi/6, 2*pi/3, pi, 3*pi/2, 11*pi/6]
]
tilingDict3['3^3.4^2; (3^2.4.3.4)*2'] = [pairings, allAngleLists]

#3^6; (3^3.4^2)*2 (1)
pairings = {
    (0,0):(0,3), (0,1):(0,1), (0,2):(0,2), (0,3):(0,0), (0,4):(1,1), (0,5):(1,2),
    (1,0):(1,3), (1,1):(0,4), (1,2):(0,5), (1,3):(1,0), (1,4):(2,1),
    (2,0):(2,2), (2,1):(1,4), (2,2):(2,0), (2,3):(2,3), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/2, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; (3^3.4^2)*2 (1)'] = [pairings, allAngleLists]

#3^6; (3^3.4^2)*2 (2)
pairings = {
    (0,0):(0,3), (0,1):(1,1), (0,2):(1,2), (0,3):(0,0), (0,4):(1,1), (0,5):(1,2),
    (1,0):(1,3), (1,1):(0,4), (1,2):(0,5), (1,3):(1,0), (1,4):(2,1),
    (2,0):(2,2), (2,1):(1,4), (2,2):(2,0), (2,3):(2,3), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/2, pi, 4*pi/3, 5*pi/3]
]
tilingDict3['3^6; (3^3.4^2)*2 (2)'] = [pairings, allAngleLists]

#(3^6)*2; 3^3.4^2 (1)
pairings = {
    (0,0):(0,3), (0,1):(1,4), (0,2):(1,5), (0,3):(0,0), (0,4):(2,1), (0,5):(2,2),
    (1,0):(1,3), (1,1):(1,1), (1,2):(1,2), (1,3):(1,0), (1,4):(0,1), (1,5):(0,2),
    (2,0):(2,3), (2,1):(0,4), (2,2):(0,5), (2,3):(2,0), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2]
]
tilingDict3['(3^6)*2; 3^3.4^2 (1)'] = [pairings, allAngleLists]

#(3^6)*2; 3^3.4^2 (2)
pairings = {
    (0,0):(0,3), (0,1):(1,4), (0,2):(1,5), (0,3):(0,0), (0,4):(2,1), (0,5):(2,2),
    (1,0):(1,3), (1,1):(0,1), (1,2):(0,2), (1,3):(1,0), (1,4):(0,1), (1,5):(0,2),
    (2,0):(2,3), (2,1):(0,4), (2,2):(0,5), (2,3):(2,0), (2,4):(2,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2]
]
tilingDict3['(3^6)*2; 3^3.4^2 (2)'] = [pairings, allAngleLists]

allTilingDicts['3 Uniform'] = tilingDict3
# #**************4-Uniform********************#
tilingDict4 = {}

#(3.4^2.6)*2; 3.4.6.4; 4.6.12
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(6,0), (0,3):(1,3),
    (1,0):(7,2), (1,1):(5,2), (1,2):(0,0), (1,3):(0,3),
    (2,0):(3,1), (2,1):(3,0), (2,2):(4,0),
    (3,0):(2,1), (3,1):(2,0), (3,2):(5,1),
    (4,0):(2,2), (4,1):(5,0), (4,2):(6,1), (4,3):(0,1),
    (5,0):(4,1), (5,1):(3,2), (5,2):(1,1), (5,3):(7,1),
    (6,0):(0,2), (6,1):(4,2), (6,2):(7,0), (6,3):(7,3),
    (7,0):(6,2), (7,1):(5,3), (7,2):(1,0), (7,3):(6,3)
}
allAngleLists = [
    [pi/6, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, pi/2, 7*pi/6, 5*pi/3],

    [pi/6, pi, 3*pi/2],
    [pi/3, 7*pi/6, 11*pi/6],

    [pi/2, pi, 3*pi/2, 11*pi/6],
    [pi/3, 5*pi/6, 3*pi/2, 11*pi/6],

    [pi/6, pi/2, pi, 5*pi/3],
    [pi/3, 5*pi/6, 7*pi/6, 5*pi/3]

]
tilingDict4['(3.4^2.6)*2; 3.4.6.4; 4.6.12'] = [pairings, allAngleLists]

#3^2.4.3.4; 3^2.6^2; 3.4^2.6; 4.6.12
pairings = {
    (0,0):(1,1), (0,1):(2,3), (0,2):(1,2),
    (1,0):(3,3), (1,1):(0,0), (1,2):(0,2),
    (2,0):(3,2), (2,1):(4,4), (2,2):(5,3), (2,3):(0,1),
    (3,0):(5,1), (3,1):(4,2), (3,2):(2,0), (3,3):(1,0),
    (4,0):(4,1), (4,1):(4,0), (4,2):(3,1), (4,3):(5,0), (4,4):(2,1),
    (5,0):(4,3), (5,1):(3,0), (5,2):(5,2), (5,3):(2,2)
}
allAngleLists = [
    [0, pi/2, 7*pi/6],
    [pi/2, pi, 11*pi/6],
    [0, pi/2, 5*pi/6, 3*pi/2],
    [pi/6, pi/2, pi, 3*pi/2],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],
    [pi/6, pi/2, 7*pi/6, 11*pi/6]
]
tilingDict4['3^2.4.3.4; 3^2.6^2; 3.4^2.6; 4.6.12'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^2.6^2; 6^3 (1)
pairings = {
    (0,0):(2,2), (0,1):(1,3), (0,2):(0,2), (0,3):(1,2), (0,4):(0,4), (0,5):(1,1),
    (1,0):(2,3), (1,1):(0,5), (1,2):(0,3), (1,3):(0,1), (1,4):(2,1),
    (2,0):(3,0), (2,1):(1,4), (2,2):(0,0), (2,3):(1,0),
    (3,0):(2,0), (3,1):(3,1), (3,2):(3,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3],
    [0, 2*pi/3, 4*pi/3]
]
tilingDict4['3^6; 3^4.6; 3^2.6^2; 6^3'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^2.6^2; 6^3 (2)
pairings = {
    (0,0):(2,2), (0,1):(1,3), (0,2):(1,1), (0,3):(2,2), (0,4):(1,3), (0,5):(1,1),
    (1,0):(2,3), (1,1):(0,5), (1,2):(1,2), (1,3):(0,1), (1,4):(2,1),
    (2,0):(3,0), (2,1):(1,4), (2,2):(0,0), (2,3):(1,0),
    (3,0):(2,0), (3,1):(3,1), (3,2):(3,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3],
    [0, 2*pi/3, 4*pi/3]
]
tilingDict4['3^6; 3^4.6; 3^2.6^2; 6^3 (2)'] = [pairings, allAngleLists]

#3^3.4^2; 3^2.4.12; 3.4.3.12; 4^4
pairings = {
    (0,0):(1,2), (0,1):(1,2), (0,2):(1,2), (0,3):(1,2),
    (1,0):(4,1), (1,1):(2,2), (1,2):(0,0), (1,3):(2,1), (1,4):(3,3),
    (2,0):(3,0), (2,1):(1,3), (2,2):(1,1), (2,3):(4,0),
    (3,0):(2,0), (3,1):(4,3), (3,2):(4,2), (3,3):(1,4),
    (4,0):(2,3), (4,1):(1,0), (4,2):(3,2), (4,3):(3,1)
}
allAngleLists = [
    [pi/3, 5*pi/6, 4*pi/3, 11*pi/6],
    [0, pi/3, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [0, 5*pi/6, 4*pi/3, 5*pi/3],
    [2*pi/3, pi, 4*pi/3, 11*pi/6]
]
tilingDict4['3^3.4^2; 3^2.4.12; 3.4.3.12; 4^4'] = [pairings, allAngleLists]


allTilingDicts['4 Uniform'] = tilingDict4
# #**************5-Uniform********************#
tilingDict5 = {}

#3^6, 3^2.4.3.4, 3.4.6.4, (4.6.12)*2
pairings = {(0,0):(1,3), (0,1):(1,3), (0,2):(1,3), (0,3):(1,3), (0,4):(1,3), (0,5):(1,3),
(1,0):(3,2), (1,1):(2,3), (1,2):(1,4), (1,3):(0,0), (1,4):(1,2),
(2,0):(3,1), (2,1):(7,0), (2,2):(3,3), (2,3):(1,1),
(3,0):(6,1), (3,1):(2,0), (3,2):(1,0), (3,3):(2,2),
(4,0):(5,1), (4,1):(5,0), (4,2):(7,2),
(5,0):(4,1), (5,1):(4,0), (5,2):(6,2),
(6,0):(7,1), (6,1):(3,0), (6,2):(5,2),
(7,0):(2,1), (7,1):(6,0), (7,2):(4,2)
}
aL0 = [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6]
aL1 = [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2]
aL2 = [0,pi/2, 7*pi/6, 5*pi/3]
aL3 = [pi/2, pi, 4*pi/3, 11*pi/6]
aL4 = [0,pi/2, 7*pi/6]
aL5 = [pi/2, pi, 11*pi/6]
aL6 = [0,pi/2, 7*pi/6]
aL7 = [pi/2, pi, 11*pi/6]
allAngleLists = [aL0, aL1, aL2, aL3, aL4, aL5, aL6, aL7]
tilingDict5['3^6, 3^2.4.3.4, 3.4.6.4, (4.6.12)*2'] = [pairings, allAngleLists]

#3^2.4.3.4, 3^2.6^2, 3.4^2.6, 3.4.6.4, 6^3
pairings = {(0,0):(3,2), (0,1):(1,0), (0,2):(4,0), (0,3):(0,4), (0,4):(0,3),
(1,0):(0,1), (1,1):(3,1), (1,2):(5,0), (1,3):(4,1),
(2,0):(4,2), (2,1):(3,0), (2,2):(2,3), (2,3):(2,2),
(3,0):(2,1), (3,1):(1,1), (3,2):(0,0), (3,3):(4,3),
(4,0):(0,2), (4,1):(1,3), (4,2):(2,0), (4,3):(3,3),
(5,0):(1,2), (5,1):(1,2), (5,2):(1,2)}
allAngleLists = [[0,pi/3, 2*pi/3, 7*pi/6, 3*pi/2],
[0,pi/3, pi, 5*pi/3],
[pi/3, pi, 3*pi/2, 11*pi/6],
[0,2*pi/3, pi, 3*pi/2],
[0,pi/3, pi, 3*pi/2],
[0,2*pi/3, 4*pi/3]]
tilingDict5['3^2.4.3.4, 3^2.6^2, 3.4^2.6, 3.4.6.4, 6^3'] = [pairings, allAngleLists]

# 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 4^4
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(0,2), (0,3):(5,1),
    (1,0):(3,3), (1,1):(2,3), (1,2):(0,0), (1,3):(2,0), (1,4):(3,1),
    (2,0):(1,3), (2,1):(5,0), (2,2):(4,0), (2,3):(1,1), (2,4):(3,2),
    (3,0):(3,4), (3,1):(1,4), (3,2):(2,4), (3,3):(1,0), (3,4):(3,0),
    (4,0):(2,2), (4,1):(5,3), (4,2):(5,2), (4,3):(0,1),
    (5,0):(2,1), (5,1):(0,3), (5,2):(4,2), (5,3):(4,1)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [pi/6, pi/2, pi, 3*pi/2, 11*pi/6],
    [pi/6, 2*pi/3, pi, 3*pi/2, 11*pi/6],
    [pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [0, pi/3, pi, 3*pi/2],
    [0, pi/2, pi, 5*pi/3]
]
tilingDict5['3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 4^4'] = [pairings, allAngleLists]

#(3^3.4^2)*2; 3^2.4.12; 3.4.3.12; 4^4
pairings = {
    (0,0):(4,1), (0,1):(0,1), (0,2):(3,0), (0,3):(1,1), (0,4):(2,2),
    (1,0):(2,3), (1,1):(0,3), (1,2):(3,3), (1,3):(5,0), (1,4):(6,1),
    (2,0):(5,3), (2,1):(4,2), (2,2):(0,4), (2,3):(1,0), (2,4):(6,2),
    (3,0):(0,2), (3,1):(4,0), (3,2):(5,1), (3,3):(1,2),
    (4,0):(3,1), (4,1):(0,0), (4,2):(2,1), (4,3):(5,2),
    (5,0):(1,3), (5,1):(3,2), (5,2):(4,3), (5,3):(2,0),
    (6,0):(6,3), (6,1):(1,4), (6,2):(2,4), (6,3):(6,0)
}
allAngleLists = [
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/2, 4*pi/3, 5*pi/3],
    [pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 7*pi/6, 3*pi/2],
    [0, pi/2, pi, 3*pi/2]
]
tilingDict5['(3^3.4^2)*2; 3^2.4.12; 3.4.3.12; 4^4'] = [pairings, allAngleLists]

#(3^6)*2; 3^3.4^2; 3^2.4.3.4; 3^2.4.12
pairings = {
    (0,0):(4,2), (0,1):(1,1), (0,2):(1,5), (0,3):(3,0), (0,4):(6,2), (0,5):(5,3),
    (1,0):(1,0), (1,1):(0,1), (1,2):(4,1), (1,3):(2,0), (1,4):(3,1), (1,5):(0,2),
    (2,0):(1,3), (2,1):(4,0), (2,2):(2,3), (2,3):(2,2), (2,4):(3,2),
    (3,0):(0,3), (3,1):(1,4), (3,2):(2,4), (3,3):(4,4), (3,4):(6,3),
    (4,0):(2,1), (4,1):(1,2), (4,2):(0,0), (4,3):(5,2), (4,4):(3,3),
    (5,0):(6,1), (5,1):(6,0), (5,2):(4,3), (5,3):(0,5),
    (6,0):(5,1), (6,1):(5,0), (6,2):(0,4), (6,3):(3,4)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],

    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    
    [0, pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, pi, 4*pi/3, 11*pi/6],

    [0, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi, 4*pi/3, 5*pi/3]
]
tilingDict5['(3^6)*2; 3^3.4^2; 3^2.4.3.4; 3^2.4.12'] = [pairings, allAngleLists]
allTilingDicts['5 Uniform'] = tilingDict5
# #**************6-Uniform********************#
tilingDict6 = {}

#3^4.6; 3^3.4^2; 3^2.4.3.4; 3^2.6^2; 3.4^2.6; 4.6.12
pairings = {
    (0,0):(1,2), (0,1):(7,1), (0,2):(4,2), (0,3):(3,3), (0,4):(2,4),
    (1,0):(5,2), (1,1):(6,2), (1,2):(0,0), (1,3):(2,1), (1,4):(3,1),
    (2,0):(3,2), (2,1):(1,3), (2,2):(2,3), (2,3):(2,2), (2,4):(0,4),
    (3,0):(5,3), (3,1):(1,4), (3,2):(2,0), (3,3):(0,3), (3,4):(4,1),
    (4,0):(5,0), (4,1):(3,4), (4,2):(0,2), (4,3):(7,0),
    (5,0):(4,0), (5,1):(6,3), (5,2):(1,0), (5,3):(3,0),
    (6,0):(9,1), (6,1):(7,2), (6,2):(1,1), (6,3):(5,1),
    (7,0):(4,3), (7,1):(0,1), (7,2):(6,1), (7,3):(8,1), 
    (8,0):(9,2), (8,1):(7,3), (8,2):(9,0),
    (9,0):(8,2), (9,1):(6,0), (9,2):(8,0)
}
allAngleLists = [
    [0, pi/2, 5*pi/6, 7*pi/6, 3*pi/2],
    [pi/6, pi/2, pi, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, pi, 4*pi/3, 11*pi/6],
    [pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, 5*pi/6, 7*pi/6, 3*pi/2],
    [pi/6, 5*pi/6, 7*pi/6, 3*pi/2],
    [pi/2, pi, 3*pi/2, 11*pi/6],
    [pi/2, 5*pi/6, 4*pi/3, 11*pi/6],
    [pi/6, 5*pi/6, 4*pi/3],
    [0, pi/2, 7*pi/6]
]
tilingDict6['3^4.6; 3^3.4^2; 3^2.4.3.4; 3^2.6^2; 3.4^2.6; 4.6.12'] = [pairings, allAngleLists]

#3^6; 3^2.4.3.4; (3.4^2.6)*2; 4.6.12
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(6,0), (0,3):(1,3),
    (1,0):(7,3), (1,1):(5,2), (1,2):(0,0), (1,3):(0,3),
    (2,0):(3,1), (2,1):(3,0), (2,2):(4,0),
    (3,0):(2,1), (3,1):(2,0), (3,2):(5,1),
    (4,0):(2,2), (4,1):(5,0), (4,2):(6,1), (4,3):(0,1),
    (5,0):(4,1), (5,1):(3,2), (5,2):(1,1), (5,3):(7,2),
    (6,0):(0,2), (6,1):(4,2), (6,2):(7,1), (6,3):(8,1), (6,4):(7,4),
    (7,0):(8,0), (7,1):(6,2), (7,2):(5,3), (7,3):(1,0), (7,4):(6,4),
    (8,0):(7,0), (8,1):(6,3), (8,2):(7,0), (8,3):(6,3), (8,4):(7,0), (8,5):(6,3)
}
allAngleLists = [
    [pi/6, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, pi/2, 7*pi/6, 5*pi/3],
    [pi/6, pi, 3*pi/2],
    [pi/3, 7*pi/6, 11*pi/6],
    [pi/2, pi, 3*pi/2, 11*pi/6],
    [pi/3, 5*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict6['3^6; 3^2.4.3.4; (3.4^2.6)*2; 4.6.12'] = [pairings, allAngleLists]

#3^6; (3^4.6)*4; 3^2.6^2
pairings = {
    (0,0):(3,0), (0,1):(4,1), (0,2):(4,4), (0,3):(5,0), (0,4):(3,1), (0,5):(0,5),
    (1,0):(2,4), (1,1):(2,2), (1,2):(5,2), (1,3):(1,3),
    (2,0):(3,3), (2,1):(5,3), (2,2):(1,1), (2,3):(2,3), (2,4):(1,0),
    (3,0):(0,0), (3,1):(0,4), (3,2):(5,4), (3,3):(2,0), (3,4):(4,2),
    (4,0):(4,0), (4,1):(0,1), (4,2):(3,4), (4,3):(5,1), (4,4):(0,2),
    (5,0):(0,3), (5,1):(4,3), (5,2):(1,2), (5,3):(2,1), (5,4):(3,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    [0, pi/3, 2*pi/3, pi, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3]
] 
tilingDict6['3^6; (3^4.6)*4; 3^2.6^2'] = [pairings, allAngleLists]

#3^4.6; (3^2.4.3.4)*4; 3.4^2.6
pairings = {
    (0,0):(2,2), (0,1):(5,3), (0,2):(4,4), (0,3):(3,0), (0,4):(1,0),
    (1,0):(0,4), (1,1):(3,4), (1,2):(2,0), (1,3):(2,3),
    (2,0):(1,2), (2,1):(5,4), (2,2):(0,0), (2,3):(1,3),
    (3,0):(0,3), (3,1):(4,3), (3,2):(6,4), (3,3):(5,0), (3,4):(1,1),
    (4,0):(5,2), (4,1):(7,4), (4,2):(7,2), (4,3):(3,1), (4,4):(0,2),
    (5,0):(3,3), (5,1):(6,3), (5,2):(4,0), (5,3):(0,1), (5,4):(2,1),
    (6,0):(7,1), (6,1):(6,1), (6,2):(7,0), (6,3):(5,1), (6,4):(3,2),
    (7,0):(6,2), (7,1):(6,0), (7,2):(4,2), (7,3):(7,3), (7,4):(4,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    
    [pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, pi, 5*pi/3],

    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],

    [pi/3, 2*pi/3, pi, 3*pi/2, 11*pi/6],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2]
] 
tilingDict6['3^4.6; (3^2.4.3.4)*4; 3.4^2.6'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; (3^2.4.3.4)*3
pairings = {
    (0,0):(4,3), (0,1):(3,3), (0,2):(2,4), (0,3):(4,3), (0,4):(3,3), (0,5):(2,4),
    (1,0):(2,2), (1,1):(6,3), (1,2):(7,1), (1,3):(4,0), (1,4):(1,4),
    (2,0):(3,2), (2,1):(6,4), (2,2):(1,0), (2,3):(4,4), (2,4):(0,2),
    (3,0):(5,1), (3,1):(5,4), (3,2):(2,0), (3,3):(0,1), (3,4):(4,2),
    (4,0):(1,3), (4,1):(7,0), (4,2):(3,4), (4,3):(0,0), (4,4):(2,3),
    (5,0):(5,0), (5,1):(3,0), (5,2):(7,4), (5,3):(6,0), (5,4):(3,1),
    (6,0):(5,3), (6,1):(7,3), (6,2):(7,2), (6,3):(1,1), (6,4):(2,1),
    (7,0):(4,1), (7,1):(1,2), (7,2):(6,2), (7,3):(6,1), (7,4):(5,2)  
}
allAngleLists = [
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],

    [0, pi/3, 2*pi/3, pi, 3*pi/2],

    [pi/6, 2*pi/3, pi, 3*pi/2, 11*pi/6],
    [pi/3, 2*pi/3, 7*pi/6, 3*pi/2, 11*pi/6],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],

    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 3*pi/2, 11*pi/6]
]
tilingDict6['3^6; 3^3.4^2; (3^2.4.3.4)*3'] = [pairings, allAngleLists]
allTilingDicts['6 Uniform'] = tilingDict6
# #**************7-Uniform********************#
tilingDict7 = {}

#3^6; 3^4.6; 3^3.4^2; 3.4^2.6; 3.4.6.4; (3.6)^2; 4^4
pairings = {
    (0,0):(1,2), (0,1):(3,1), (0,2):(0,2), (0,3):(2,1),
    (1,0):(1,4), (1,1):(5,0), (1,2):(0,0), (1,3):(5,1), (1,4):(1,0),
    (2,0):(5,2), (2,1):(0,3), (2,2):(3,0), (2,3):(4,0),
    (3,0):(2,2), (3,1):(0,1), (3,2):(5,3), (3,3):(4,1),
    (4,0):(2,3), (4,1):(3,3), (4,2):(6,0), (4,3):(6,1),
    (5,0):(1,1), (5,1):(1,3), (5,2):(2,0), (5,3):(3,2),
    (6,0):(4,2), (6,1):(4,3), (6,2):(6,4), (6,3):(7,1), (6,4):(6,2),
    (7,0):(6,3), (7,1):(6,3), (7,2):(6,3), (7,3):(6,3), (7,4):(6,3), (7,5):(6,3)
}
allAngleLists = [
    [0, pi/2, pi, 3*pi/2],
    [pi/6, pi/2, pi, 3*pi/2, 11*pi/6],
    [0, pi/2, pi, 4*pi/3],
    [0, pi/2, pi, 5*pi/3],
    [pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [pi/6, pi/2, pi, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3], 
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict7['3^6; 3^4.6; 3^3.4^2; 3.4^2.6; 3.4.6.4; (3.6)^2; 4^4'] = [pairings, allAngleLists]

#(3^6)*2; (3^2.4.3.4)*4; 3^3.4^2
pairings = {
    (0,0):(2,2), (0,1):(5,3), (0,2):(4,4), (0,3):(3,0), (0,4):(1,1), (0,5):(8,2),
    (1,0):(8,3), (1,1):(0,4), (1,2):(3,4), (1,3):(2,0), (1,4):(2,4),
    (2,0):(1,3), (2,1):(5,4), (2,2):(0,0), (2,3):(8,1), (2,4):(1,4),
    (3,0):(0,3), (3,1):(4,3), (3,2):(6,4), (3,3):(5,0), (3,4):(1,2),
    (4,0):(5,2), (4,1):(7,4), (4,2):(7,2), (4,3):(3,1), (4,4):(0,2),
    (5,0):(3,3), (5,1):(6,3), (5,2):(4,0), (5,3):(0,1), (5,4):(2,1),
    (6,0):(7,1), (6,1):(6,1), (6,2):(7,0), (6,3):(5,1), (6,4):(3,2),
    (7,0):(6,2), (7,1):(6,0), (7,2):(4,2), (7,3):(7,3), (7,4):(4,1),
    (8,0):(1,0), (8,1):(2,3), (8,2):(0,5), (8,3):(1,0), (8,4):(2,3), (8,5):(0,5)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 3*pi/2, 11*pi/6],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
] 
tilingDict7['(3^6)*2; (3^2.4.3.4)*4; 3^3.4^2'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 3.4.6.4; (3.6)^2 (1)
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(8,4), (0,3):(9,0), (0,4):(7,4), (0,5):(2,0),
    (1,0):(5,3), (1,1):(4,4), (1,2):(0,0), (1,3):(2,4), (1,4):(3,1),
    (2,0):(0,5), (2,1):(7,3), (2,2):(6,3), (2,3):(3,2), (2,4):(1,3),
    (3,0):(3,3), (3,1):(1,4), (3,2):(2,3), (3,3):(3,0),
    (4,0):(5,2), (4,1):(7,1), (4,2):(8,0), (4,3):(0,1), (4,4):(1,1),
    (5,0):(6,2), (5,1):(6,1), (5,2):(4,0), (5,3):(1,0),
    (6,0):(7,2), (6,1):(5,1), (6,2):(5,0), (6,3):(2,2),
    (7,0):(9,4), (7,1):(4,1), (7,2):(6,0), (7,3):(2,1), (7,4):(0,4),
    (8,0):(4,2), (8,1):(9,3), (8,2):(10,3), (8,3):(9,1), (8,4):(0,2),
    (9,0):(0,3), (9,1):(8,3), (9,2):(10,0), (9,3):(8,1), (9,4):(7,0),
    (10,0):(9,2), (10,1):(10,2), (10,2):(10,1), (10,3):(8,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, pi, 4*pi/3],
    [0, pi/2, pi, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, 4*pi/3, 11*pi/6]
]
tilingDict7['3^6; 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 3.4.6.4; (3.6)^2 (1)'] = [pairings, allAngleLists]

#3^6; 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 3.4.6.4; (3.6)^2 (2)
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(9,4), (0,3):(10,0), (0,4):(6,1), (0,5):(2,2),
    (1,0):(5,3), (1,1):(4,4), (1,2):(0,0), (1,3):(2,1), (1,4):(3,1),
    (2,0):(3,2), (2,1):(1,3), (2,2):(0,5), (2,3):(6,0), (2,4):(7,0),
    (3,0):(2,0), (3,1):(1,4), (3,2):(2,0), (3,3):(1,4),
    (4,0):(5,2), (4,1):(5,1), (4,2):(9,0), (4,3):(0,1), (4,4):(1,1),
    (5,0):(8,2), (5,1):(4,1), (5,2):(4,0), (5,3):(1,0),
    (6,0):(2,3), (6,1):(0,4), (6,2):(10,4), (6,3):(7,2), (6,4):(7,1),
    (7,0):(2,4), (7,1):(6,4), (7,2):(6,3), (7,3):(8,3),
    (8,0):(10,3), (8,1):(9,1), (8,2):(5,0), (8,3):(7,3),
    (9,0):(4,2), (9,1):(8,1), (9,2):(10,2), (9,3):(10,1), (9,4):(0,2),
    (10,0):(0,3), (10,1):(9,3), (10,2):(9,2), (10,3):(8,0), (10,4):(6,2)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    [0, 2*pi/3, pi, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, pi, 4*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [pi/6, pi/2, pi, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3]
]
tilingDict7['3^6; 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 3.4.6.4; (3.6)^2 (2)'] = [pairings, allAngleLists]

#3^6; 3^4.6; (3^2.6^2)*2; (6^3)*3
pairings = {
    (0,0):(1,1), (0,1):(0,2), (0,2):(0,1),
    (1,0):(2,2), (1,1):(0,0), (1,2):(3,1),
    (2,0):(4,2), (2,1):(3,2), (2,2):(1,0),
    (3,0):(5,2), (3,1):(1,2), (3,2):(2,1),
    (4,0):(9,3), (4,1):(7,2), (4,2):(2,0), (4,3):(6,2),
    (5,0):(9,0), (5,1):(6,3), (5,2):(3,0), (5,3):(8,2),
    (6,0):(6,0), (6,1):(9,4), (6,2):(4,3), (6,3):(5,1), (6,4):(9,5),
    (7,0):(8,0), (7,1):(8,3), (7,2):(4,1), (7,3):(9,2),
    (8,0):(7,0), (8,1):(9,1), (8,2):(5,3), (8,3):(7,1),
    (9,0):(5,0), (9,1):(8,1), (9,2):(7,3), (9,3):(4,0), (9,4):(6,1), (9,5):(6,4)
}
allAngleLists = [
    [0, 2*pi/3, 4*pi/3],

    [pi/3, pi, 5*pi/3],

    [0, 2*pi/3, 4*pi/3],
    [0, 2*pi/3, 4*pi/3],

    [0, pi/3, pi, 5*pi/3],
    [0, pi/3, pi, 5*pi/3],

    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],

    [0, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3],

    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict7['3^6; 3^4.6; (3^2.6^2)*2; (6^3)*3'] = [pairings, allAngleLists]
allTilingDicts['7 Uniform'] = tilingDict7
# #**************8-Uniform********************#
tilingDict8 = {}

#3.6.3.6; 3.4^2.6; 3.4.6.4; 4^4; 3^4.6; 3^3.4^2; 3^6; 3^6
pairings = {
(0,0):(1,3), (0,1):(2,3), (0,2):(6,0), (0,3):(6,1),
(1,0):(3,2), (1,1):(4,1), (1,2):(2,0), (1,3):(0,0),
(2,0):(1,2), (2,1):(5,3), (2,2):(3,3), (2,3):(0,1),
(3,0):(8,4), (3,1):(7,1), (3,2):(1,0), (3,3):(2,2),
(4,0):(5,0), (4,1):(1,1), (4,2):(7,0), (4,3):(5,1),
(5,0):(4,0), (5,1):(4,3), (5,2):(8,0), (5,3):(2,1),
(6,0):(0,2), (6,1):(0,3), (6,2):(6,4), (6,3):(9,1), (6,4):(6,2),
(7,0):(4,2), (7,1):(3,1), (7,2):(8,3), (7,3):(10,0), (7,4):(8,1),
(8,0):(5,2), (8,1):(7,4), (8,2):(10,5), (8,3):(7,2), (8,4):(3,0),
(9,0):(6,3), (9,1):(6,3), (9,2):(6,3), (9,3):(6,3), (9,4):(6,3), (9,5):(6,3),
(10,0):(7,3), (10,1):(8,2), (10,2):(7,3), (10,3):(8,2), (10,4):(7,3), (10,5):(8,2)}
allAngleLists = [
[0, pi/3, pi, 4*pi/3],
[0, pi/2, pi, 4*pi/3],
[0, pi/2, pi, 5*pi/3],
[pi/6, pi/2, pi, 5*pi/3],
[0, pi/2, pi, 3*pi/2],
[0, pi/2, pi, 3*pi/2],
[0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
[0, pi/2, 5*pi/6, 7*pi/6, 3*pi/2],
[0, pi/2, 5*pi/6, 7*pi/6, 3*pi/2],
[0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
[pi/6, pi/2, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6]]
tilingDict8['(3^6)*2; 3^4.6; 3^3.4^2; 3.4^2.6; 3.4.6.4; (3.6)^2; 4^4'] = [pairings, allAngleLists]

#(3^6)*2; 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 3^2.4.3.4; (3.6)^2
pairings = {
    (0,0):(1,2), (0,1):(4,3), (0,2):(8,4), (0,3):(9,0), (0,4):(7,4), (0,5):(2,0),
    (1,0):(5,3), (1,1):(4,4), (1,2):(0,0), (1,3):(2,4), (1,4):(3,1),
    (2,0):(0,5), (2,1):(7,3), (2,2):(6,3), (2,3):(3,2), (2,4):(1,3),
    (3,0):(3,3), (3,1):(1,4), (3,2):(2,3), (3,3):(3,0),
    (4,0):(5,2), (4,1):(7,1), (4,2):(8,0), (4,3):(0,1), (4,4):(1,1),
    (5,0):(6,2), (5,1):(6,1), (5,2):(4,0), (5,3):(1,0),
    (6,0):(7,2), (6,1):(5,1), (6,2):(5,0), (6,3):(2,2),
    (7,0):(9,4), (7,1):(4,1), (7,2):(6,0), (7,3):(2,1), (7,4):(0,4),
    (8,0):(4,2), (8,1):(9,3), (8,2):(10,4), (8,3):(9,1), (8,4):(0,2),
    (9,0):(0,3), (9,1):(8,3), (9,2):(10,0), (9,3):(8,1), (9,4):(7,0),
    (10,0):(9,2), (10,1):(10,3), (10,2):(11,0), (10,3):(10,1), (10,4):(8,2),
    (11,0):(10,2), (11,1):(10,2), (11,2):(10,2), (11,3):(10,2), (11,4):(10,2), (11,5):(10,2), 
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, pi, 4*pi/3],
    [0, pi/2, pi, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, pi, 4*pi/3, 11*pi/6],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict8['(3^6)*2; 3^4.6; 3^3.4^2; 3^2.4.3.4; 3.4^2.6; 3^2.4.3.4; (3.6)^2'] = [pairings, allAngleLists]

#3^6; 3^4.6; (3^2.6^2)*2; (6^3)*3
pairings = {
    (0,0):(1,1), (0,1):(0,3), (0,2):(10,0), (0,3):(0,1),
    (1,0):(2,2), (1,1):(0,0), (1,2):(3,1),
    (2,0):(4,2), (2,1):(3,2), (2,2):(1,0),
    (3,0):(5,2), (3,1):(1,2), (3,2):(2,1),
    (4,0):(9,3), (4,1):(7,2), (4,2):(2,0), (4,3):(6,2),
    (5,0):(9,0), (5,1):(6,3), (5,2):(3,0), (5,3):(8,2),
    (6,0):(6,0), (6,1):(9,4), (6,2):(4,3), (6,3):(5,1), (6,4):(9,5),
    (7,0):(8,0), (7,1):(8,3), (7,2):(4,1), (7,3):(9,2),
    (8,0):(7,0), (8,1):(9,1), (8,2):(5,3), (8,3):(7,1),
    (9,0):(5,0), (9,1):(8,1), (9,2):(7,3), (9,3):(4,0), (9,4):(6,1), (9,5):(6,4),
    (10,0):(0,2), (10,1):(0,2), (10,2):(0,2), (10,3):(0,2), (10,4):(0,2), (10,5):(0,2), 
}
allAngleLists = [
    [0, 2*pi/3, pi, 4*pi/3],
    [pi/3, pi, 5*pi/3],
    [0, 2*pi/3, 4*pi/3],
    [0, 2*pi/3, 4*pi/3],
    [0, pi/3, pi, 5*pi/3],
    [0, pi/3, pi, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict8['(3^6)*2; 3^4.6; (3^2.6^2)*2; (6^3)*3'] = [pairings, allAngleLists]

#(3^2.4.3.4)*4; (3.4.6.4)*4
pairings = {
    (0,0):(5,1), (0,1):(1,3), (0,2):(6,0), (0,3):(7,1),
    (1,0):(2,3), (1,1):(10,4), (1,2):(9,0), (1,3):(0,1),
    (2,0):(3,2), (2,1):(6,2), (2,2):(9,3), (2,3):(1,0),
    (3,0):(8,4), (3,1):(8,2), (3,2):(2,0), (3,3):(4,1),
    (4,0):(7,4), (4,1):(3,3), (4,2):(5,0), (4,3):(11,3),
    (5,0):(4,2), (5,1):(0,0), (5,2):(11,1), (5,3):(12,2),
    (6,0):(0,2), (6,1):(9,4), (6,2):(2,1), (6,3):(8,1), (6,4):(7,2),
    (7,0):(11,2), (7,1):(0,3), (7,2):(6,4), (7,3):(8,0), (7,4):(4,0),
    (8,0):(7,3), (8,1):(6,3), (8,2):(3,1), (8,3):(8,3), (8,4):(3,0),
    (9,0):(1,2), (9,1):(10,3), (9,2):(10,0), (9,3):(2,2), (9,4):(6,1),
    (10,0):(9,2), (10,1):(10,2), (10,2):(10,1), (10,3):(9,1), (10,4):(1,1),
    (11,0):(12,3), (11,1):(5,2), (11,2):(7,0), (11,3):(4,3), (11,4):(12,1),
    (12,0):(12,4), (12,1):(11,4), (12,2):(5,3), (12,3):(11,0), (12,4):(12,0)
}
allAngleLists = [
    [0, 2*pi/3, 7*pi/6, 3*pi/2],
    [pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3],
    [pi/6, pi/2, pi, 5*pi/3],
    [pi/6, 2*pi/3, 4*pi/3, 11*pi/6],
    [pi/3, pi, 3*pi/2, 11*pi/6],

    #6
    [pi/6, 2*pi/3, pi, 3*pi/2, 11*pi/6],
    [0, pi/2, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    
    #9
    [pi/6, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/3, 2*pi/3, 7*pi/6, 3*pi/2, 11*pi/6],
    
    #11
    [pi/6, pi/2, pi, 4*pi/3, 11*pi/6],
    [0, pi/3, 5*pi/6, 7*pi/6, 3*pi/2],
]
tilingDict8['(3^2.4.3.4)*4; (3.4.6.4)*4'] = [pairings, allAngleLists]

#3^6; 3^4.6; (3^3.4^2)*3; 3^2.4.3.4; 3.4^2.6; 4.6.12
pairings = {
    (0,0):(2,2), (0,1):(1,2), (0,2):(1,1),
    (1,0):(3,2), (1,1):(0,2), (1,2):(0,1),
    (2,0):(4,3), (2,1):(6,3), (2,2):(0,0), (2,3):(3,1),
    (3,0):(5,2), (3,1):(2,3), (3,2):(1,0), (3,3):(7,2),
    (4,0):(11,3), (4,1):(10,3), (4,2):(6,4), (4,3):(2,0), (4,4):(5,1),
    (5,0):(12,3), (5,1):(4,4), (5,2):(3,0), (5,3):(7,1), (5,4):(8,2),
    (6,0):(10,2), (6,1):(9,3), (6,2):(7,3), (6,3):(2,1), (6,4):(4,2),
    (7,0):(8,3), (7,1):(5,3), (7,2):(3,3), (7,3):(6,2), (7,4):(9,2),
    (8,0):(10,0), (8,1):(12,4), (8,2):(5,4), (8,3):(7,0), (8,4):(9,1),
    (9,0):(9,0), (9,1):(8,4), (9,2):(7,4), (9,3):(6,1), (9,4):(10,1),
    (10,0):(8,0), (10,1):(9,4), (10,2):(6,0), (10,3):(4,1), (10,4):(11,2),
    (11,0):(13,3), (11,1):(12,0), (11,2):(10,4), (11,3):(4,0), (11,4):(12,2),
    (12,0):(11,1), (12,1):(13,4), (12,2):(11,4), (12,3):(5,0), (12,4):(8,1),
    (13,0):(12,1), (13,1):(11,0), (13,2):(12,1), (13,3):(11,0), (13,4):(12,1), (13,5):(11,0)
}
allAngleLists = [
    [pi/6, 5*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, 3*pi/2],
    
    #2
    [pi/6, pi/2, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, 7*pi/6, 11*pi/6],

    #4
    [pi/6, pi/2, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, 7*pi/6, 3*pi/2, 11*pi/6],

    #6
    [pi/6, pi/2, 5*pi/6, 3*pi/2, 11*pi/6],
    [pi/6, pi/2, 5*pi/6, 3*pi/2, 11*pi/6],

    #8
    [pi/3, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/3, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],
    [pi/3, 5*pi/6, 7*pi/6, 3*pi/2, 11*pi/6],

    #11
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 3*pi/2],

    #13
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]
]
tilingDict8['3^6; 3^4.6; (3^3.4^2)*3; 3^2.4.3.4; 3.4^2.6; 4.6.12'] = [pairings, allAngleLists]
allTilingDicts['8 Uniform'] = tilingDict8
# #**************9-Uniform********************#
tilingDict9 = {}

#3^6; 3^4.6; (3^3.4^2)*2; 3^2.4.3.4; 3^2.6^2; 3.4^2.6; 3.4.6.4; 6^3
pairings = {
    (0,0):(0,0), (0,1):(1,3), (0,2):(2,0),
    (1,0):(4,4), (1,1):(7,4), (1,2):(6,0), (1,3):(0,1),
    (2,0):(0,2), (2,1):(9,0), (2,2):(10,1), (2,3):(3,1),
    (3,0):(4,0), (3,1):(2,3), (3,2):(10,0), (3,3):(11,1), (3,4):(14,5),
    (4,0):(3,0), (4,1):(14,4), (4,2):(8,4), (4,3):(7,0), (4,4):(1,0),
    (5,0):(6,3), (5,1):(12,2), (5,2):(13,0), (5,3):(9,1),
    (6,0):(1,2), (6,1):(7,3), (6,2):(8,2), (6,3):(5,0),
    (7,0):(4,3), (7,1):(8,3), (7,2):(7,2), (7,3):(6,1), (7,4):(1,1),
    (8,0):(14,3), (8,1):(12,3), (8,2):(6,2), (8,3):(7,1), (8,4):(4,2),
    (9,0):(2,1), (9,1):(5,3), (9,2):(11,3), (9,3):(10,2),
    (10,0):(3,2), (10,1):(2,2), (10,2):(9,3), (10,3):(10,3), (10,4):(11,2),
    (11,0):(14,0), (11,1):(3,3), (11,2):(10,4), (11,3):(9,2), (11,4):(13,4),
    (12,0):(13,2), (12,1):(13,1), (12,2):(5,1), (12,3):(8,1), (12,4):(14,2),
    (13,0):(5,2), (13,1):(12,1), (13,2):(12,0), (13,3):(14,1), (13,4):(11,4),
    (14,0):(11,0), (14,1):(13,3), (14,2):(12,4), (14,3):(8,0), (14,4):(4,1), (14,5):(3,4)
}
allAngleLists = [
    [0, 2*pi/3, 4*pi/3],
    [pi/3, 2*pi/3, pi, 5*pi/3],
    [pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    [pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [0, pi/3, 5*pi/6, 4*pi/3],
    [0, pi/3, 5*pi/6, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, 7*pi/6, 5*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 5*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3] 
]
tilingDict9['3^6; 3^4.6; (3^3.4^2)*2; 3^2.4.3.4; 3^2.6^2; 3.4^2.6; 3.4.6.4; 6^3'] = [pairings, allAngleLists]

#3^6; (3^4.6)*3; 3^3.4^2; 3^2.6^2; 3.4^2.6; 3.4.6.4; 6^3
pairings = {
    (0,0):(0,2), (0,1):(1,3), (0,2):(0,0),
    (1,0):(4,4), (1,1):(3,4), (1,2):(2,0), (1,3):(0,1),
    (2,0):(1,2), (2,1):(3,3), (2,2):(5,4), (2,3):(7,5), (2,4):(4,0),
    (3,0):(4,3), (3,1):(6,3), (3,2):(5,0), (3,3):(2,1), (3,4):(1,1),
    (4,0):(2,4), (4,1):(7,4), (4,2):(6,4), (4,3):(3,0), (4,4):(1,0),
    (5,0):(3,2), (5,1):(11,3), (5,2):(10,4), (5,3):(7,0), (5,4):(2,2),
    (6,0):(7,3), (6,1):(9,3), (6,2):(8,3), (6,3):(3,1), (6,4):(4,2),
    (7,0):(5,3), (7,1):(10,3), (7,2):(9,4), (7,3):(6,0), (7,4):(4,1), (7,5):(2,3),
    (8,0):(9,2), (8,1):(11,1), (8,2):(12,0), (8,3):(6,2),
    (9,0):(10,2), (9,1):(10,1), (9,2):(8,0), (9,3):(6,1), (9,4):(7,2),
    (10,0):(11,2), (10,1):(9,1), (10,2):(9,0), (10,3):(7,1), (10,4):(5,2),
    (11,0):(12,3), (11,1):(8,1), (11,2):(10,0), (11,3):(5,1),
    (12,0):(8,2), (12,1):(12,2), (12,2):(12,1), (12,3):(11,0)

}
allAngleLists = [
    [0, 2*pi/3, 4*pi/3],
    [pi/3, 2*pi/3, pi, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    [0, pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3],
    [0, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, pi, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/2, pi, 4*pi/3],
    [0, pi/2, 5*pi/6, 4*pi/3]
]
tilingDict9['3^6; (3^4.6)*3; 3^3.4^2; 3^2.6^2; 3.4^2.6; 3.4.6.4; 6^3'] = [pairings, allAngleLists]

#3^6; 3^3.4^2; (3^2.4.3.4)*3; 3^2.6^2; 3.4^2.6; 3.4.6.4; 6^3
pairings = {
    (0,0):(1,3), (0,1):(1,3), (0,2):(1,3),
    (1,0):(3,2), (1,1):(4,3), (1,2):(2,3), (1,3):(0,2),
    (2,0):(4,2), (2,1):(10,4), (2,2):(7,0), (2,3):(1,2),
    (3,0):(11,3), (3,1):(4,4), (3,2):(1,0), (3,3):(7,3),
    (4,0):(5,3), (4,1):(6,3), (4,2):(2,0), (4,3):(1,1), (4,4):(3,1),
    (5,0):(12,3), (5,1):(9,1), (5,2):(6,4), (5,3):(4,0), (5,4):(11,2),
    (6,0):(8,2), (6,1):(13,5), (6,2):(10,0), (6,3):(4,1), (6,4):(5,2),
    (7,0):(2,2), (7,1):(8,4), (7,2):(9,4), (7,3):(3,3),
    (8,0):(10,3), (8,1):(13,0), (8,2):(6,0), (8,3):(9,0), (8,4):(7,1),
    (9,0):(8,3), (9,1):(5,1), (9,2):(12,2), (9,3):(11,4), (9,4):(7,2),
    (10,0):(6,2), (10,1):(13,4), (10,2):(13,1), (10,3):(8,0), (10,4):(2,1),
    (11,0):(12,1), (11,1):(12,4), (11,2):(5,4), (11,3):(3,0), (11,4):(9,3),
    (12,0):(12,5), (12,1):(11,0), (12,2):(9,2), (12,3):(5,0), (12,4):(11,1), (12,5):(12,0),
    (13,0):(8,1), (13,1):(10,2), (13,2):(13,3), (13,3):(13,2), (13,4):(10,1), (13,5):(6,1)
}
allAngleLists = [
    [pi/3, pi, 5*pi/3],

    [0, pi/3, 2*pi/3, 4*pi/3],

    [0, pi/2, pi, 5*pi/3],
    [pi/6, 2*pi/3, pi, 5*pi/3],
    
    #4
    [pi/6, pi/2, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/3, 2*pi/3, pi, 3*pi/2, 11*pi/6],

    #7
    [0, pi/2, 5*pi/6, 4*pi/3],
    [0, pi/3, 2*pi/3, 7*pi/6, 3*pi/2],
    [pi/6, 2*pi/3, pi, 4*pi/3, 11*pi/6],

    #10
    [0, pi/3, 2*pi/3, pi, 3*pi/2],
    [0, pi/3, 2*pi/3, 7*pi/6, 5*pi/3],

    #12
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3]

]
tilingDict9['3^6; 3^3.4^2; (3^2.4.3.4)*3; 3^2.6^2; 3.4^2.6; 3.4.6.4; 6^3'] = [pairings, allAngleLists]
allTilingDicts['9 Uniform'] = tilingDict9
# #**************10-Uniform********************#
tilingDict10 = {}

#3^6; 3^3.4^2; (3^2.4.3.4)*4; 3^2.4.12; 3^2.6^2; 3.4^2.6; 3.4.6.4
pairings = {
    (0,0):(2,2), (0,1):(5,3), (0,2):(4,4), (0,3):(1,0), (0,4):(12,1), (0,5):(13,2),
    (1,0):(0,3), (1,1):(4,3), (1,2):(3,4), (1,3):(2,4), (1,4):(12,2),
    (2,0):(3,3), (2,1):(5,4), (2,2):(0,0), (2,3):(13,1), (2,4):(1,3),
    (3,0):(8,2), (3,1):(6,3), (3,2):(7,0), (3,3):(2,0), (3,4):(1,2),
    (4,0):(5,2), (4,1):(14,4), (4,2):(8,3), (4,3):(1,1), (4,4):(0,2),
    (5,0):(7,3), (5,1):(14,0), (5,2):(4,0), (5,3):(0,1), (5,4):(2,1),
    (6,0):(8,1), (6,1):(6,1), (6,2):(7,1), (6,3):(3,1),
    (7,0):(3,2), (7,1):(6,2), (7,2):(9,0), (7,3):(5,0),
    (8,0):(10,1), (8,1):(6,0), (8,2):(3,0), (8,3):(4,2),
    (9,0):(7,2), (9,1):(10,0), (9,2):(11,0), (9,3):(14,1),
    (10,0):(9,1), (10,1):(8,0), (10,2):(14,3), (10,3):(11,3),
    (11,0):(9,2), (11,1):(11,2), (11,2):(11,1), (11,3):(10,3), (11,4):(14,2),
    (12,0):(13,3), (12,1):(0,4), (12,2):(1,4), (12,3):(13,0),
    (13,0):(12,3), (13,1):(2,3), (13,2):(0,5), (13,3):(12,0),
    (14,0):(5,1), (14,1):(9,3), (14,2):(11,4), (14,3):(10,2), (14,4):(4,1)
}
allAngleLists = [
    [0, pi/3, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, pi/3, 5*pi/6, 7*pi/6, 5*pi/3],
    [pi/6, 2*pi/3, pi, 4*pi/3, 11*pi/6],
    [0, pi/3, 2*pi/3, 7*pi/6, 3*pi/2],
    [0, pi/3, 5*pi/6, 4*pi/3, 5*pi/3],
    [pi/6, 2*pi/3, pi, 4*pi/3, 5*pi/3],
    [0, 2*pi/3, 4*pi/3, 5*pi/3],
    [0, pi/3, pi, 3*pi/2],
    [0, 2*pi/3, pi, 3*pi/2],
    [0, 2*pi/3, 7*pi/6, 3*pi/2],
    [pi/3, pi, 3*pi/2, 11*pi/6],
    [pi/6, 2*pi/3, pi, 3*pi/2, 11*pi/6],
    [0, pi/3, 2*pi/3, 7*pi/6],
    [pi/6, 2*pi/3, pi, 4*pi/3],
    [0, pi/2, 5*pi/6, 7*pi/6, 5*pi/3]
]
tilingDict10['3^6; 3^3.4^2; (3^2.4.3.4)*4; 3^2.4.12; 3^2.6^2; 3.4^2.6; 3.4.6.4'] = [pairings, allAngleLists]


allAngleLists = [
    [1.5707963267948966, 3.665191429188092, 5.759586531581287],
    [0.5235987755982988, 1.5707963267948966, 2.6179938779914944, 4.71238898038469],
    [1.0471975511965976, 2.0943951023931953, 3.665191429188092, 4.71238898038469, 5.759586531581287],
    [1.0471975511965976, 2.0943951023931953, 3.665191429188092, 4.71238898038469, 5.759586531581287],
    [0, 1.0471975511965976, 2.0943951023931953, 3.141592653589793, 4.71238898038469],
    [0, 1.0471975511965976, 2.0943951023931953, 3.141592653589793, 4.71238898038469],
    [1.0471975511965976, 2.0943951023931953, 3.665191429188092, 4.71238898038469, 5.759586531581287],
    [1.0471975511965976, 2.0943951023931953, 3.665191429188092, 5.759586531581287],
    [1.0471975511965976, 2.0943951023931953, 3.665191429188092, 4.71238898038469, 5.759586531581287],
    [0, 1.0471975511965976, 2.0943951023931953, 3.141592653589793, 4.1887902047863905, 5.235987755982989],
    [1.0471975511965976, 2.0943951023931953, 3.141592653589793, 4.71238898038469],
    [1.5707963267948966, 3.141592653589793, 4.1887902047863905, 5.235987755982989],
    [0, 2.0943951023931953, 3.141592653589793, 4.71238898038469],
    [0, 1.5707963267948966, 3.141592653589793, 4.1887902047863905],
]
pairings =  {
    (0, 0): (1, 3), (0, 1): (1,3), (0, 2): (1,3), 
    (1, 0): (13, 3), (1, 1): (2, 3), (1, 2): (12, 1), (1, 3): (0, 0), 
    (2, 0): (3, 4), (2, 1): (3, 2), (2, 2): (12, 2), (2, 3): (1, 1), (2, 4): (13, 2), 
    (3, 0): (5, 3), (3, 1): (4, 0), (3, 2): (2, 1), (3, 3): (3, 3), (3, 4): (2, 0), 
    (4, 0): (3, 1), (4, 1): (5, 2), (4, 2): (9, 4), (4, 3): (6, 2), (4, 4): (12, 3), 
    (5, 0): (8, 4), (5, 1): (9, 5), (5, 2): (4, 1), (5, 3): (3, 0), (5, 4): (13, 1), 
    (6, 0): (8, 1), (6, 1): (7, 0), (6, 2): (4, 3), (6, 3): (9, 3), (6, 4): (11, 1), 
    (7, 0): (6, 1), (7, 1): (8, 0), (7, 2): (13, 0), (7, 3): (12, 0), 
    (8, 0): (7, 1), (8, 1): (6, 0), (8, 2): (10, 2), (8, 3): (9, 0), (8, 4): (5, 0), 
    (9, 0): (8, 3), (9, 1): (10, 1), (9, 2): (11, 2), (9, 3): (6, 3), (9, 4): (4, 2), (9, 5): (5, 1), 
    (10, 0): (11, 3), (10, 1): (9, 1), (10, 2): (8, 2), (10, 3): (11, 0), 
    (11, 0): (10, 3), (11, 1): (6, 4), (11, 2): (9, 2), (11, 3): (10, 0), 
    (12, 0): (7, 3), (12, 1): (1, 2), (12, 2): (2, 2), (12, 3): (4, 4), 
    (13, 0): (7, 2), (13, 1): (5, 4), (13, 2): (2, 4), (13, 3): (1, 0)}

tilingDict10['3^6, 3^3.4^2, (3^2.4.3.4)*3, 3^2.4.12, 3^2.6^2, 3.4^2.6, 3.4.6.4, 6^3'] = [pairings, allAngleLists]
allTilingDicts['10 Uniform'] = tilingDict10

def getDict(k):
    return allTilingDicts[k]

def getDictByTiling(tiling):
    for d in allTilingDicts.values():
        if tiling in d.keys():
            #print(d[tiling])
            return [d[tiling][0], d[tiling][1]]